<?php

/**
	ReduxFramework Sample Config File
	For full documentation, please visit http://reduxframework.com/docs/
**/


/**

	Most of your editing will be done in this section.

	Here you can override default values, uncomment args and change their values.
	No $args are required, but they can be overridden if needed.

**/
$args = array();


// For use with a tab example below
$tabs = array();

ob_start();

$ct = wp_get_theme();
$theme_data = $ct;
$item_name = $theme_data->get('Name');
$tags = $ct->Tags;
$screenshot = $ct->get_screenshot();
$class = $screenshot ? 'has-screenshot' : '';

$customize_title = sprintf( __( 'Customize &#8220;%s&#8221;','agrg' ), $ct->display('Name') );

?>
<div id="current-theme" class="<?php echo esc_attr( $class ); ?>">
	<?php if ( $screenshot ) : ?>
		<?php if ( current_user_can( 'edit_theme_options' ) ) : ?>
		<a href="<?php echo wp_customize_url(); ?>" class="load-customize hide-if-no-customize" title="<?php echo esc_attr( $customize_title ); ?>">
			<img src="<?php echo esc_url( $screenshot ); ?>" alt="<?php esc_attr_e( 'Current theme preview' , 'agrg' ); ?>" />
		</a>
		<?php endif; ?>
		<img class="hide-if-customize" src="<?php echo esc_url( $screenshot ); ?>" alt="<?php esc_attr_e( 'Current theme preview' , 'agrg'); ?>" />
	<?php endif; ?>

	<h4>
		<?php echo $ct->display('Name'); ?>
	</h4>

	<div>
		<ul class="theme-info">
			<li><?php printf( __('By %s','agrg'), $ct->display('Author') ); ?></li>
			<li><?php printf( __('Version %s','agrg'), $ct->display('Version') ); ?></li>
			<li><?php echo '<strong>'.__('Tags', 'agrg').':</strong> '; ?><?php printf( $ct->display('Tags') ); ?></li>
		</ul>
		<p class="theme-description"><?php echo $ct->display('Description'); ?></p>
		<?php if ( $ct->parent() ) {
			printf( ' <p class="howto">' . __( 'This <a href="%1$s">child theme</a> requires its parent theme, %2$s.' , 'agrg') . '</p>',
				__( 'http://codex.wordpress.org/Child_Themes','agrg' ),
				$ct->parent()->display( 'Name' ) );
		} ?>

	</div>

</div>

<?php
$item_info = ob_get_contents();

ob_end_clean();

$sampleHTML = '';
if( file_exists( dirname(__FILE__).'/info-html.html' )) {
	/** @global WP_Filesystem_Direct $wp_filesystem  */
	global $wp_filesystem;
	if (empty($wp_filesystem)) {
		require_once(ABSPATH .'/wp-admin/includes/file.php');
		WP_Filesystem();
	}
	$sampleHTML = $wp_filesystem->get_contents(dirname(__FILE__).'/info-html.html');
}

// BEGIN Sample Config

// Setting dev mode to true allows you to view the class settings/info in the panel.
// Default: true
$args['dev_mode'] = false;

// Set the icon for the dev mode tab.
// If $args['icon_type'] = 'image', this should be the path to the icon.
// If $args['icon_type'] = 'iconfont', this should be the icon name.
// Default: info-sign
//$args['dev_mode_icon'] = 'info-sign';

// Set the class for the dev mode tab icon.
// This is ignored unless $args['icon_type'] = 'iconfont'
// Default: null
$args['dev_mode_icon_class'] = 'icon-large';

// Set a custom option name. Don't forget to replace spaces with underscores!
$args['opt_name'] = 'redux_demo';

// Setting system info to true allows you to view info useful for debugging.
// Default: false
//$args['system_info'] = true;


// Set the icon for the system info tab.
// If $args['icon_type'] = 'image', this should be the path to the icon.
// If $args['icon_type'] = 'iconfont', this should be the icon name.
// Default: info-sign
//$args['system_info_icon'] = 'info-sign';

// Set the class for the system info tab icon.
// This is ignored unless $args['icon_type'] = 'iconfont'
// Default: null
//$args['system_info_icon_class'] = 'icon-large';

$theme = wp_get_theme();

$args['display_name'] = $theme->get('Name');
//$args['database'] = "theme_mods_expanded";
$args['display_version'] = $theme->get('Version');

// If you want to use Google Webfonts, you MUST define the api key.
$args['google_api_key'] = 'AIzaSyAX_2L_UzCDPEnAHTG7zhESRVpMPS4ssII';

// Define the starting tab for the option panel.
// Default: '0';
//$args['last_tab'] = '0';

// Define the option panel stylesheet. Options are 'standard', 'custom', and 'none'
// If only minor tweaks are needed, set to 'custom' and override the necessary styles through the included custom.css stylesheet.
// If replacing the stylesheet, set to 'none' and don't forget to enqueue another stylesheet!
// Default: 'standard'
//$args['admin_stylesheet'] = 'standard';
$ucat = array(
 'post_type' => 'post',
  'hide_empty' => false,
  'orderby' => 'count',
  'order' => 'ASC'
);
$categories = get_terms( 'category',$ucat);

	foreach($categories as $category) {
		$cat[]=array($category->term_id => $category->name);
	} /* Categories */
// Setup custom links in the footer for share icons
$args['share_icons']['twitter'] = array(
    'link' => 'https://twitter.com/imran_cheema1',
    'title' => 'Follow me on Twitter',
    'img' => ReduxFramework::$_url . 'assets/img/social/Twitter.png'
);
$args['share_icons']['linked_in'] = array(
    'link' => 'https://pk.linkedin.com/pub/imran-cheema/45/427/278',
    'title' => 'Find me on LinkedIn',
    'img' => ReduxFramework::$_url . 'assets/img/social/LinkedIn.png'
);

// Enable the import/export feature.
// Default: true
//$args['show_import_export'] = false;

// Set the icon for the import/export tab.
// If $args['icon_type'] = 'image', this should be the path to the icon.
// If $args['icon_type'] = 'iconfont', this should be the icon name.
// Default: refresh
//$args['import_icon'] = 'refresh';

// Set the class for the import/export tab icon.
// This is ignored unless $args['icon_type'] = 'iconfont'
// Default: null
$args['import_icon_class'] = 'icon-large';

/**
 * Set default icon class for all sections and tabs
 * @since 3.0.9
 */
$args['default_icon_class'] = 'icon-large';


// Set a custom menu icon.
//$args['menu_icon'] = '';

// Set a custom title for the options page.
// Default: Options
$args['menu_title'] = __('classiads Options', 'agrg');

// Set a custom page title for the options page.
// Default: Options
$args['page_title'] = __('classiads Options', 'agrg');

// Set a custom page slug for options page (wp-admin/themes.php?page=***).
// Default: redux_options
$args['page_slug'] = 'redux_options';

$args['default_show'] = true;
$args['default_mark'] = '*';

// Set a custom page capability.
// Default: manage_options
//$args['page_cap'] = 'manage_options';

// Set the menu type. Set to "menu" for a top level menu, or "submenu" to add below an existing item.
// Default: menu
//$args['page_type'] = 'submenu';

// Set the parent menu.
// Default: themes.php
// A list of available parent menus is available at http://codex.wordpress.org/Function_Reference/add_submenu_page#Parameters
//$args['page_parent'] = 'options_general.php';

// Set a custom page location. This allows you to place your menu where you want in the menu order.
// Must be unique or it will override other items!
// Default: null
//$args['page_position'] = null;

// Set a custom page icon class (used to override the page icon next to heading)
//$args['page_icon'] = 'icon-themes';

// Set the icon type. Set to "iconfont" for Elusive Icon, or "image" for traditional.
// Redux no longer ships with standard icons!
// Default: iconfont
//$args['icon_type'] = 'image';

// Disable the panel sections showing as submenu items.
// Default: true
//$args['allow_sub_menu'] = false;

// Set ANY custom page help tabs, displayed using the new help tab API. Tabs are shown in order of definition.
$args['help_tabs'][] = array(
    'id' => 'redux-opts-1',
    'title' => __('Theme Information 1', 'agrg'),
    'content' => __('<p>This is the tab content, HTML is allowed.</p>', 'agrg')
);
$args['help_tabs'][] = array(
    'id' => 'redux-opts-2',
    'title' => __('Theme Information 2', 'agrg'),
    'content' => __('<p>This is the tab content, HTML is allowed.</p>', 'agrg')
);

// Set the help sidebar for the options page.
$args['help_sidebar'] = __('<p>This is the sidebar content, HTML is allowed.</p>', 'agrg');


// Add HTML before the form.
/*
if (!isset($args['global_variable']) || $args['global_variable'] !== false ) {
	if (!empty($args['global_variable'])) {
		$v = $args['global_variable'];
	} else {
		$v = str_replace("-", "_", $args['opt_name']);
	}
	$args['intro_text'] = sprintf( __('<p>Did you know that Redux sets a global variable for you? To access any of your saved options from within your code you can use your global variable: <strong>$%1$s</strong></p>', 'agrg' ), $v );
} else {
	$args['intro_text'] = __('<p>This text is displayed above the options panel. It isn\'t required, but more info is always better! The intro_text field accepts all HTML.</p>', 'agrg');
}

// Add content after the form.
$args['footer_text'] = __('<p>This text is displayed below the options panel. It isn\'t required, but more info is always better! The footer_text field accepts all HTML.</p>', 'agrg');
*/

// Set footer/credit line.
//$args['footer_credit'] = __('<p>This text is displayed in the options panel footer across from the WordPress version (where it normally says \'Thank you for creating with WordPress\'). This field accepts all HTML.</p>', 'agrg');


$sections = array();

//Background Patterns Reader
$sample_patterns_path = ReduxFramework::$_dir . '../sample/patterns/';
$sample_patterns_url  = ReduxFramework::$_url . '../sample/patterns/';
$sample_patterns      = array();

if ( is_dir( $sample_patterns_path ) ) :

  if ( $sample_patterns_dir = opendir( $sample_patterns_path ) ) :
  	$sample_patterns = array();

    while ( ( $sample_patterns_file = readdir( $sample_patterns_dir ) ) !== false ) {

      if( stristr( $sample_patterns_file, '.png' ) !== false || stristr( $sample_patterns_file, '.jpg' ) !== false ) {
      	$name = explode(".", $sample_patterns_file);
      	$name = str_replace('.'.end($name), '', $sample_patterns_file);
      	$sample_patterns[] = array( 'alt'=>$name,'img' => $sample_patterns_url . $sample_patterns_file );
      }
    }
  endif;
endif;

$help_image = ReduxFramework::$_url . '';




$sections[] = array(
	'icon' => 'el-icon-cogs',
	'icon_class' => 'icon-large',
    'title' => __('General Settings', 'agrg'),
	'fields' => array(

		array(
			'id'=>'logo',
			'type' => 'media',
			'url'=> true,
			'title' => __('Logo', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your logo.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=> get_template_directory_uri().'/images/logo.png'),
			),
			array(
				'id' => 'logo-width',
				'type' => 'slider',
				'title' => __('Maximum Logo Width', 'agrg'),
				'desc' => __('Select Maximum Logo Width. Min: 0, max: 900, step: 5, default value: 200', 'agrg'),
				"default" => 200,
				"min" => 0,
				"step" => 5,
				"max" => 900,
				'display_value' => 'text'
			),

		array(
			'id'=>'favicon',
			'type' => 'media',
			'url'=> true,
			'title' => __('Favicon', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your favicon.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=> get_template_directory_uri().'/images/favicon.png'),
			),

		array(
			'id'=>'layout-version',
			'type' => 'radio',
			'title' => __('Layout', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('1' => 'Wide', '2' => 'Boxed'),//Must provide key => value pairs for radio options
			'default' => 1,
			),
		array(
			'id'=>'title-bg',
			'type' => 'media',
			'url'=> true,
			'title' => __('Page title Background', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload page title BG.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
			),
			array(
			'id'=>'button-styles',
			'type' => 'button_set',
			'title' => __('Button Styles', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('<a target="_block" href="'.$help_image.'help/button.jpg">Click here to view options</a>', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3'),//Must provide key => value pairs for radio options
			'default' => 1,
			),

		array(
			'id'=>'measure-system',
			'type' => 'radio',
			'title' => __('Measurement system', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('1' => 'Miles', '2' => 'Kilometers'),//Must provide key => value pairs for radio options
			'default' => 2,
			),

		array(
			'id'=>'max_range',
			'type' => 'text',
			'title' => __('Maxim Range', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('You can add the max geolocation range (default: 1000', 'agrg'),
			'default' => '1000'
			),
		array(
			'id'=>'default-post-image',
			'type' => 'media',
			'url'=> true,
			'title' => __('Default post image', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload image which will be default image if anyone will not upload image in his post', 'agrg'),
			'subtitle' => __('Preferred image size is 800x500', 'agrg'),
			'default'=> $help_image.'help/default-thumb.jpg',
			),
		array(
			'id'=>'image-limit',
			'type' => 'text',
			'url'=> true,
			'title' => __('Image Limits', 'agrg'),
			'desc'=> __('Enter here Quantity of Image Limits', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=> '8',
			),
		array(
			'id'=>'blog-slider',
			'type' => 'text',
			'title' => __('Blog Slider (Use if neccessory)', 'agrg'),
			'subtitle' => __('Put here Layerslider Shortcode', 'agrg'),
			'desc' => __('Leave empty if you do not want to use slider on blog page', 'agrg'),
			'default' => ''
			),
		array(
			'id'=>'ad_expiry',
			'type' => 'select',
			'title' => __('Regular Ads Expiry', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('7' => 'One week', '30' => 'One Month', '60' => 'Two Months', '90' => 'Three Months', '120' => 'Four Months', '150' => 'Five Months', '180' => 'Six Month', '365' => 'One Year'),//Must provide key => value pairs for radio options
			'default' => 365
			),

		array(
			'id'=>'add-detail-page-version',
			'type' => 'radio',
			'title' => __('', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			//'options' => array('1' => 'Version 1', '2' => 'Version 2'),//Must provide key => value pairs for radio options
			'default' => 2
			),

		array(
            'id' => 'ai_info',
            'type' => 'switch',
            'title' => __('User controlled additional information on ad submit page', 'agrg'),
            'subtitle' => __('', 'agrg'),
            'default' => 0,
            ),
		array(
            'id' => 'featured-options-on',
            'type' => 'switch',
            'title' => __('Ads slider', 'agrg'),
            'subtitle' => __('', 'agrg'),
            'default' => 1,
            ),
		array(
            'id' => 'hide-map',
            'type' => 'switch',
            'title' => __('Enable/Disable Map from whole website', 'agrg'),
            'subtitle' => __('', 'agrg'),
            'default' => 1,
            ),

		array(
            'id' => 'post-options-on',
            'type' => 'switch',
            'title' => __('Post moderation', 'agrg'),
            'subtitle' => __('', 'agrg'),
            'default' => 1,
           ),
		array(
            'id' => 'post-options-edit-on',
            'type' => 'switch',
            'title' => __('Post moderation On every edit post', 'agrg'),
            'subtitle' => __('', 'agrg'),
            'default' => 1,
           ),
			array(
            'id' => 'featured-options-cat',
            'type' => 'switch',
            'title' => __('Featured Ads on category related to category', 'agrg'),
            'subtitle' => __('', 'agrg'),
            'default' => 0,
            ),
		array(
            'id' => 'author-msg-box-off',
            'type' => 'switch',
            'title' => __('Author Message Box On/OFF', 'agrg'),
            'subtitle' => __('Author Message box on ad detail page', 'agrg'),
            'default' => 1,
            ),
		array(
            'id' => 'featured-ads_user',
            'type' => 'switch',
            'title' => __('Featured ads posting for users On/OFF', 'agrg'),
            'subtitle' => __('This option will not let users to post featured ads', 'agrg'),
            'default' => 1,
            ),
		array(
            'id' => 'regular-ads',
            'type' => 'switch',
            'title' => __('Regular ad posting for users On/OFF', 'agrg'),
            'subtitle' => __('Regular ad posting On/OFF', 'agrg'),
            'default' => 1,
            ),

		array(
			'id'=>'free_price_text',
			'type' => 'text',
			'title' => __('Free listing tag', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Add here the text tag for free listings', 'agrg'),
			'default' => 'Free'
			),
		array(
			'id'=>'tags_limit',
			'type' => 'text',
			'title' => __('Number of tags in tag Cloud widget', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here a number. Example "16"', 'agrg'),
			'default' => '15'
			),
		array(
			'id'=>'google_id',
			'type' => 'text',
			'title' => __('Google Analytics Domain ID', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Get analytics on your site. Enter Google Analytics Domain ID (ex: UA-123456-1)', 'agrg'),
			'default' => ''
			),


		array(
			'id'=>'top_phone',
			'type' => 'text',
			'title' => __('Top Bar Phone Text', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('You can add text here.', 'agrg'),
			'default' => '+444-8888-444'
			),
		array(
			'id'=>'top_phone_icon',
			'type' => 'text',
			'title' => __('Top Bar Phone Icon Code', 'agrg'),
			'subtitle' => __('<a href="http://fontawesome.io/icons/" target="_blank">Click Here to get Code</a>', 'agrg'),
			'desc' => __('<i class="fa fa-phone"></i>.', 'agrg'),
			'default' => ''
			),





		),
	);

$sections[] = array(
	'icon' => 'el-icon-cogs',
	'icon_class' => 'icon-large',
    'title' => __('Home settings', 'agrg'),
	'fields' => array(
		array(
                'id'       => 'opt-homepage-layout-2',
                'type'     => 'sorter',
                'title'    => 'Homepage Layout Manager',
                'desc'     => 'Organize how you want the layout to appear on the homepage',
                'compiler' => 'true',
                'options'  => array(
                    'disabled' => array(
                        'custom-ads'   => 'Banner ads'
                    ),
                    'enabled'  => array(
                        'banner' => 'Slide/Map',
                        'featured-ads'   => 'Featured ad slider',
                        'categories'   => 'Categories',
                        'callout'   => 'Callout',
                        'location'   => 'Location',
                        'advertisement'   => 'Advertisement',
                        'packages'   => 'Packages',
                        'partners'   => 'Partners',
                        'blog-news'   => 'Blog News',
                    ),
                ),
            ),
		array(
			'id'=>'home-cat-counter',
			'type' => 'button_set',
			'title' => __('How many Categories on Category Section and Page', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('4' => '4','6' => '6', '8' => '8', '12' => '12'),
			'default' => 8
			),
		array(
			'id'=>'home-ads-counter',
			'type' => 'button_set',
			'title' => __('How many ads on homepage?', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('4' => '4', '8' => '8', '12' => '12', '16' => '16', '20' => '20', '24' => '24', '28' => '28', '32' => '32'),
			'default' => 8
			),
		array(
			'id'=>'home-location-counter',
			'type' => 'button_set',
			'title' => __('How many locations on homepage?', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('5' => '5', '11' => '11', '15' => '15', '20' => '20'),
			'default' => 11
			),
		array(
			'id'=>'home-ads-featured',
			'type' => 'button_set',
			'title' => __('How many Featured ads on Featured ad Section', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('8' => '8', '16' => '16', '24' => '24', '32' => '32', '40' => '40', '48' => '48', '56' => '56', '64' => '64'),
			'default' => 8
			),
		array(
			'id'=>'home-ads-featured-order',
			'type' => 'button_set',
			'title' => __('Featured Ads Order', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('none' => 'Latest', 'rand' => 'Random'),
			'default' => 'none'
			),
			array(
			'id'=>'home-ads-view',
			'type' => 'button_set',
			'title' => __('Select Ads view type', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('grid' => 'Grid view', 'list' => 'List view'),
			'default' => 'grid'
			),
			array(
			'id'=>'home-ads-title-limit',
			'type' => 'text',
			'title' => __('Grid & List Style Title Letters Limit', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => '25'
			),

		array(
			'id'       => 'advertisement-bg-color',
	        'type'     => 'color',
	        'title'    => __('Advertisement Background Color', 'agrg'),
	        'subtitle' => __('Pick a Advertisement Background Color (default: #f5f6f6).', 'agrg'),
	        'default'  => '#f5f6f6',
	        'validate' => 'color',
	        'transparent' => false,
			),
		array(
			'id'       => 'categories-bg-color',
	        'type'     => 'color',
	        'title'    => __('Categories Background Color', 'agrg'),
	        'subtitle' => __('Pick a Categories Background Color (default: #fff).', 'agrg'),
	        'default'  => '#fff',
	        'validate' => 'color',
	        'transparent' => false,
			),
		array(
			'id'       => 'location-bg-color',
	        'type'     => 'color',
	        'title'    => __('Location Background Color', 'agrg'),
	        'subtitle' => __('Pick a Location Background Color (default: #f5f6f6).', 'agrg'),
	        'default'  => '#f5f6f6',
	        'validate' => 'color',
	        'transparent' => false,
			),
		array(
			'id'       => 'packages-bg-color',
	        'type'     => 'color',
	        'title'    => __('Packages Background Color', 'agrg'),
	        'subtitle' => __('Pick a Packages Background Color (default: #fff).', 'agrg'),
	        'default'  => '#fff',
	        'validate' => 'color',
	        'transparent' => false,
			),
		array(
			'id'       => 'blog-bg-color',
	        'type'     => 'color',
	        'title'    => __('Blog Background Color', 'agrg'),
	        'subtitle' => __('Pick a Blog Background Color (default: #fff).', 'agrg'),
	        'default'  => '#fff',
	        'validate' => 'color',
	        'transparent' => false,
			),
		array(
			'id'=>'header-style',
			'type' => 'button_set',
			'title' => __('Header Styles', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('<a target="_block" href="'.$help_image.'help/header.jpg">Click here to view options</a>', 'agrg'),
			'options' => array('1' => 'Version 1', '2' => 'Version 2', '3' => 'Version 3', '4' => 'Version 4', '5' => 'Version 5', '6' => 'Version 6'),//Must provide key => value pairs for radio options
			'default' => 1,
			),
			array(
			'id'=>'header-position',
			'type' => 'button_set',
			'title' => __('Header Position', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('1' => 'Absolute', '2' => 'Static'),//Must provide key => value pairs for radio options
			'default' => 1,
            'required' => array( 'header-style', '=', '5' )
			),
			array(
			'id'=>'header-sticky',
			'type' => 'button_set',
			'title' => __('Sticky Header', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('1' => 'Yes', '2' => 'No'),//Must provide key => value pairs for radio options
			'default' => 2,

			),
		array(
			'id'=>'sticky-header-logo',
			'type' => 'media',
			'url'=> true,
			'title' => __('Sticky Header Logo', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your logo for Sticky header.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
            'required' => array( 'header-sticky', '=', '1' )
			),
		array(
			'id'=>'header-post-btn',
			'type' => 'text',
			'title' => __('Header Post Submit Botton Text', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Add here Header Post Submit Botton Text', 'agrg'),
			'default' => 'Make new ad'
			),
		array(
			'id'       => 'ad-btn-bg-color',
	        'type'     => 'color',
	        'title'    => __('Make New Ad Button Background Color', 'agrg'),
	        'subtitle' => __('Pick a Make New Ad Button Background Color (default: #7bab47).', 'agrg'),
	        'default'  => '#7bab47',
	        'validate' => 'color',
	        'transparent' => false,
			),
		array(
			'id'       => 'ad-btn-bg-hover-color',
	        'type'     => 'color',
	        'title'    => __('Make New Ad Button Hover Background Color', 'agrg'),
	        'subtitle' => __('Pick a Make New Ad Button Hover Background Color (default: #333).', 'agrg'),
	        'default'  => '#333',
	        'validate' => 'color',
	        'transparent' => false,
			),
		array(
			'id'       => 'ad-btn-text-color',
	        'type'     => 'color',
	        'title'    => __('Make New Ad Text Color', 'agrg'),
	        'subtitle' => __('Pick a Make New Ad Button Text Color (default: #fff).', 'agrg'),
	        'default'  => '#fff',
	        'validate' => 'color',
	        'transparent' => false,
			),
		array(
			'id'       => 'ad-btn-text-hover-color',
	        'type'     => 'color',
	        'title'    => __('Make New Ad Text Color', 'agrg'),
	        'subtitle' => __('Pick a Make New Ad Button Text Color (default: #fff).', 'agrg'),
	        'default'  => '#fff',
	        'validate' => 'color',
	        'transparent' => false,
			),
			array(
			'id'=>'section-title-st',
			'type' => 'button_set',
			'title' => __('Section Title Style', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3'),
			'default' => 1
			),
			array(
			'id'=>'search-style',
			'type' => 'button_set',
			'title' => __('Search Styles', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('<a target="_block" href="'.$help_image.'help/search.jpg">Click here to view options</a>', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3', '4' => 'Style 4'),//Must provide key => value pairs for radio options
			'default' => 1
			),
			array(
			'id'=>'premium-ad-packages',
			'type' => 'button_set',
			'title' => __('Premium Ads Display on Homepage', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('<a target="_block" href="'.$help_image.'help/search.jpg">Click here to view options</a>', 'agrg'),
			'options' => array('1' => 'Slider Style', '2' => 'Grid Style'),//Must provide key => value pairs for radio options
			'default' => 1
			),
			array(
				'id'=>'premium-title',
				'type' => 'text',
				'title' => __('OUR PREMIUM ADS', 'agrg'),
				'subtitle' => __('', 'agrg'),
				'desc' => __('Put here Premium title.', 'agrg'),
				'default' => 'BUY & SELL ONLINE',
				'required' => array( 'premium-ad-packages', '=', '2' )
			),
			array(
				'id'=>'premium-desc',
				'type' => 'textarea',
				'title' => __('Premium title description', 'agrg'),
				'subtitle' => __('', 'agrg'),
				'desc' => __('Put here Premium sub title.', 'agrg'),
				'default' => 'Classiads along with bunch of features & having alot of categories to provide your desired things Explore things we allowed you to build more categories as well ',
				'required' => array( 'premium-ad-packages', '=', '2' )
			),
			array(
			'id'=>'hr-slide-style',
			'type' => 'button_set',
			'title' => __('Horizontal Slider Styles', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('<a target="_block" href="'.$help_image.'help/hr-slidr.jpg">Click here to view options</a>', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3'),//Must provide key => value pairs for radio options
			'default' => 1
			),
			array(
			'id'=>'cat-home-style',
			'type' => 'button_set',
			'title' => __('Home Category Styles', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('<a target="_block" href="'.$help_image.'help/cat.jpg">Click here to view options</a>', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3'),//Must provide key => value pairs for radio options
			'default' => 1
			),
			array(
			'id'=>'home-location-style',
			'type' => 'button_set',
			'title' => __('Home Location Styles', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('<a target="_block" href="'.$help_image.'help/location.jpg">Click here to view options</a>', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3'),//Must provide key => value pairs for radio options
			'default' => 1
			),
			array(
			'id'=>'home-ads-style',
			'type' => 'button_set',
			'title' => __('Select Ads Grid Style', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('<a target="_block" href="'.$help_image.'help/home-ads.jpg">Click here to view options</a>', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3'),
			'default' => 1
			),
			array(
			'id'=>'home-ads-list-style',
			'type' => 'button_set',
			'title' => __('Select Ads List Style', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('<a target="_block" href="'.$help_image.'help/home-ads-list.jpg">Click here to view options</a>', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3'),
			'default' => 1
			),
			array(
			'id'=>'plan-style',
			'type' => 'button_set',
			'title' => __('Plan Styles', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('<a target="_block" href="'.$help_image.'help/plans.jpg">Click here to view options</a>', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3'),//Must provide key => value pairs for radio options
			'default' => 1
			),
			array(
			'id'=>'home-partner-style',
			'type' => 'button_set',
			'title' => __('Home Partners Logo Style', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('<a target="_block" href="'.$help_image.'help/partners.jpg">Click here to view options</a>', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3'),
			'default' => 1
			),
		array(
			'id'=>'cat-title',
			'type' => 'text',
			'title' => __('Category title ', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here category title.', 'agrg'),
			'default' => 'AD CATEGORIES'
		),
		array(
			'id'=>'cat-desc',
			'type' => 'textarea',
			'title' => __('Category title description', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here category sub title.', 'agrg'),
			'default' => 'Classiads along with bunch of features & having a lot of categories to provide your desired things
Explore things we allowed you to build more categories as well '
		),
		array(
			'id'=>'locations-title',
			'type' => 'text',
			'title' => __('locations title ', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here locations title.', 'agrg'),
			'default' => 'AD LOCATIONS'
		),
		array(
			'id'=>'locations-desc',
			'type' => 'textarea',
			'title' => __('Locations title description', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here location sub title.', 'agrg'),
			'default' => 'Classiads provided you a ads location section where you can add your desired locations
there is no limit for the locations so do it as you would like to. '
		),
		array(
			'id'=>'advertisement-title',
			'type' => 'text',
			'title' => __('advertisement title ', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here advertisement title.', 'agrg'),
			'default' => 'BUY & SELL ONLINE'
		),
		array(
			'id'=>'ad-desc',
			'type' => 'textarea',
			'title' => __('Advertisement title description', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here Advertisement sub title.', 'agrg'),
			'default' => 'A advertisement section where we have two types of ads listing one with grids and the other one with list view
latest ads, popular ads & random ads also featured ads will show below.. '
		),
		array(
			'id'=>'plans-title',
			'type' => 'text',
			'title' => __('plans title ', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here plans title.', 'agrg'),
			'default' => 'CHOOSE YOUR PRICING PLAN'
		),
		array(
			'id'=>'plans-desc',
			'type' => 'textarea',
			'title' => __('Plans title description', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here plan sub title.', 'agrg'),
			'default' => 'A advertisement section where we have two types of ads listing one with grids and the other one with list view latest ads, popular ads & random ads also featured ads wil show below.'
		),
		array(
			'id'=>'blog-title',
			'type' => 'text',
			'title' => __('Blog title ', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here blog title.', 'agrg'),
			'default' => 'NEWS FROM BLOG'
		),
		array(
			'id'=>'blog-desc',
			'type' => 'textarea',
			'title' => __('Blog description', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here blog description.', 'agrg'),
			'default' => 'Latest news from our blog section where you can get to know what is going on in the market regarding our projects.'
		),
	)
);



$sections[] = array(
	'icon' => 'el-icon-cogs',
	'icon_class' => 'icon-large',
    'title' => __('Static Banner settings', 'agrg'),
        'fields' => array(
			array(
			'id'=>'static-banner-style',
			'type' => 'button_set',
			'title' => __('Static Banner Style', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2'),
			'default' => 1
			),
			array(
				'id'       => 'opt-background',
				'type'     => 'background',
				'title'    => __('Header Banner Background', 'agrg'),
				'subtitle' => __('Header Banner Background, color, etc.', 'agrg'),
				'desc'     => __('This is the description field, again good for additional info.', 'agrg'),
				'default'  => array(
					'background-color' => '#fff',
					'background-image' => '',
					'background-repeat' => '',
					'background-position' => '',
					'background-size' => '',
					'background-attachment' => '',
				),
			 'required' => array( 'static-banner-style', '=', '1' )
			),
			array(
			'id'=>'home-banner-text-list',
			'type' => 'button_set',
			'title' => __('Tabs For Banner Text', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('1' => 'Text Line 1', '2' => 'Text Line 2', '3' => 'Text Line 3'),
			'default' => 1,
			 'required' => array( 'static-banner-style', '=', '1' )
			),
			array(
				'id'=>'banner-text-one',
				'type' => 'text',
				'title' => __('Banner Text Line One', 'agrg'),
				'desc' => __('Enter Text For Banner Text Line One', 'agrg'),
				'default' => 'NEW STUFF - OLD STUFF - SERVICES - LOOKING FOR - BUY - SELL',
				'required' => array( 'home-banner-text-list', '=', '1' )
				),
			array(
				'id'       => 'banner-text-one-bg-color',
				'type'     => 'color',
				'title'    => __('Banner Text Line One Background', 'agrg'),
				'subtitle' => __('Pick a Banner Text Line One Background (default: #fff).', 'agrg'),
				'default'  => '#fff',
				'validate' => 'color',
				'required' => array( 'home-banner-text-list', '=', '1' )
				),
            array(
                'id'       => 'banner-text-one-typography',
                'type'     => 'typography',
                'title'    => __( 'Font Settings', 'agrg' ),
                'subtitle' => __( 'Specify the font settings properties.', 'agrg' ),
                'letter-spacing'=> true,
				'google'   => true,
                'default'  => array(
                    'color'       => '#dd9933',
                    'font-size'   => '30px',
                    'font-family' => 'Arial,Helvetica,sans-serif',
                    'font-weight' => 'Normal',
                    'line-height' => '',
                    'text-align' => '',
                    'letter-spacing' => '',
                ),
				'required' => array( 'home-banner-text-list', '=', '1' )
            ),
            array(
                'id'             => 'banner-text-one-spacing',
                'type'           => 'spacing',
                // An array of CSS selectors to apply this font style to
                'mode'           => 'padding',
                // absolute, padding, margin, defaults to padding
                'all'            => false,
                // Have one field that applies to all
                //'top'           => false,     // Disable the top
                //'right'         => false,     // Disable the right
                //'bottom'        => false,     // Disable the bottom
                //'left'          => false,     // Disable the left
                'units'          => array( 'em', 'px', '%' ),      // You can specify a unit value. Possible: px, em, %
                'units_extended' => 'true',    // Allow users to select any type of unit
                //'display_units' => 'false',   // Set to false to hide the units if the units are specified
                'title'          => __( 'Padding Option', 'agrg' ),
                'subtitle'       => __( 'Allow users to choose the spacing they want.', 'agrg' ),
                'desc'           => __( 'You can add any piece of this field. Top, Right, Bottom, Left, or Units.', 'agrg' ),
                'default'        => array(
                    'padding-top'    => '1px',
                    'padding-right'  => '2px',
                    'padding-bottom' => '3px',
                    'padding-left'   => '4px'
                ),
				'required' => array( 'home-banner-text-list', '=', '1' )
            ),
			array(
				'id'=>'banner-text-two',
				'type' => 'text',
				'title' => __('Banner Text Line ', 'agrg'),
				'desc' => __('Enter Text For Banner Text Line ', 'agrg'),
				'default' => 'WORLD’S MOST POPULAR',
				'required' => array( 'home-banner-text-list', '=', '2' )
				),
			array(
				'id'       => 'banner-text-two-bg-color',
				'type'     => 'color',
				'title'    => __('Banner Text Line Background', 'agrg'),
				'subtitle' => __('Pick a Banner Text Line Background (default: #fff).', 'agrg'),
				'default'  => '#fff',
				'validate' => 'color',
				'required' => array( 'home-banner-text-list', '=', '2' )
				),
            array(
                'id'       => 'banner-text-two-typography',
                'type'     => 'typography',
                'title'    => __( 'Font Settings', 'agrg' ),
                'subtitle' => __( 'Specify the font settings properties.', 'agrg' ),
                'letter-spacing'=> true,
				'google'   => true,
                'default'  => array(
                    'color'       => '#dd9933',
                    'font-size'   => '30px',
                    'font-family' => 'Arial,Helvetica,sans-serif',
                    'font-weight' => 'Normal',
                    'line-height' => '',
                    'text-align' => '',
                    'letter-spacing' => '',
                ),
				'required' => array( 'home-banner-text-list', '=', '2' )
            ),
            array(
                'id'             => 'banner-text-two-spacing',
                'type'           => 'spacing',
                // An array of CSS selectors to apply this font style to
                'mode'           => 'padding',
                // absolute, padding, margin, defaults to padding
                'all'            => false,
                // Have one field that applies to all
                //'top'           => false,     // Disable the top
                //'right'         => false,     // Disable the right
                //'bottom'        => false,     // Disable the bottom
                //'left'          => false,     // Disable the left
                'units'          => array( 'em', 'px', '%' ),      // You can specify a unit value. Possible: px, em, %
                'units_extended' => 'true',    // Allow users to select any type of unit
                //'display_units' => 'false',   // Set to false to hide the units if the units are specified
                'title'          => __( 'Padding Option', 'agrg' ),
                'subtitle'       => __( 'Allow users to choose the spacing they want.', 'agrg' ),
                'desc'           => __( 'You can enable or disable any piece of this field. Top, Right, Bottom, Left, or Units.', 'agrg' ),
                'default'        => array(
                    'padding-top'    => '1px',
                    'padding-right'  => '2px',
                    'padding-bottom' => '3px',
                    'padding-left'   => '4px'
                ),
				'required' => array( 'home-banner-text-list', '=', '2' )
            ),
			array(
				'id'=>'banner-text-three',
				'type' => 'text',
				'title' => __('Banner Text Line ', 'agrg'),
				'desc' => __('Enter Text For Banner Text Line ', 'agrg'),
				'default' => 'CLASSIFIED ADS WORDPRESS THEME EVER',
				'required' => array( 'home-banner-text-list', '=', '3' )
				),
			array(
				'id'       => 'banner-text-three-bg-color',
				'type'     => 'color',
				'title'    => __('Banner Text Line Background', 'agrg'),
				'subtitle' => __('Pick a Banner Text Line Background (default: #fff).', 'agrg'),
				'default'  => '#fff',
				'validate' => 'color',
				'required' => array( 'home-banner-text-list', '=', '3' )
				),
            array(
                'id'       => 'banner-text-three-typography',
                'type'     => 'typography',
                'title'    => __( 'Font Settings', 'agrg' ),
                'subtitle' => __( 'Specify the body font settings properties.', 'agrg' ),
                'letter-spacing'=> true,
				'google'   => true,
                'default'  => array(
                    'color'       => '#dd9933',
                    'font-size'   => '30px',
                    'font-family' => 'Arial,Helvetica,sans-serif',
                    'font-weight' => 'Normal',
                    'line-height' => '',
                    'text-align' => '',
                    'letter-spacing' => '',
                ),
				'required' => array( 'home-banner-text-list', '=', '3' )
            ),
            array(
                'id'             => 'banner-text-three-spacing',
                'type'           => 'spacing',
                // An array of CSS selectors to apply this font style to
                'mode'           => 'padding',
                // absolute, padding, margin, defaults to padding
                'all'            => false,
                // Have one field that applies to all
                //'top'           => false,     // Disable the top
                //'right'         => false,     // Disable the right
                //'bottom'        => false,     // Disable the bottom
                //'left'          => false,     // Disable the left
                'units'          => array( 'em', 'px', '%' ),      // You can specify a unit value. Possible: px, em, %
                'units_extended' => 'true',    // Allow users to select any type of unit
                //'display_units' => 'false',   // Set to false to hide the units if the units are specified
                'title'          => __( 'Padding Option', 'agrg' ),
                'subtitle'       => __( 'Allow users to choose the spacing or margin they want.', 'agrg' ),
                'desc'           => __( 'You can enable or disable any piece of this field. Top, Right, Bottom, Left, or Units.', 'agrg' ),
                'default'        => array(
                    'padding-top'    => '1px',
                    'padding-right'  => '2px',
                    'padding-bottom' => '3px',
                    'padding-left'   => '4px'
                ),
				'required' => array( 'home-banner-text-list', '=', '3' )
            ),


			array(
				'id'       => 'opt-background-2',
				'type'     => 'background',
				'title'    => __('Header Banner Background 2', 'agrg'),
				'subtitle' => __('Header Banner Background 2, color, etc.', 'agrg'),
				'desc'     => __('This is the description field, again good for additional info.', 'agrg'),
				'default'  => array(
					'background-color' => '#fff',
					'background-image' => '',
					'background-repeat' => '',
					'background-position' => '',
					'background-size' => '',
					'background-attachment' => '',
				),
			 'required' => array( 'static-banner-style', '=', '2' )
			),
			array(
			'id'=>'home-banner-text-list-2',
			'type' => 'button_set',
			'title' => __('Tabs For Banner Text  2', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('1' => 'Text Line 1', '2' => 'Text Line 2', '3' => 'Text Line 3'),
			'default' => 1,
			 'required' => array( 'static-banner-style', '=', '2' )
			),
			array(
				'id'=>'banner-text-one-2',
				'type' => 'text',
				'title' => __('Banner Text Line One 2', 'agrg'),
				'desc' => __('Enter Text For Banner Text Line One', 'agrg'),
				'default' => 'GET STARTED WITH',
				'required' => array( 'home-banner-text-list-2', '=', '1' )
				),
			array(
				'id'=>'banner-text-two-2',
				'type' => 'text',
				'title' => __('Banner Text Line ', 'agrg'),
				'desc' => __('Enter Text For Banner Text Line ', 'agrg'),
				'default' => 'CLASSIADS',
				'required' => array( 'home-banner-text-list-2', '=', '2' )
				),
			array(
				'id'=>'banner-text-three-2',
				'type' => 'text',
				'title' => __('Banner Text Line ', 'agrg'),
				'desc' => __('Enter Text For Banner Text Line ', 'agrg'),
				'default' => 'World’s Largest Premium Classifieds Ads WordPress Theme Ever ',
				'required' => array( 'home-banner-text-list-2', '=', '3' )
				),
			 array(
				'id'       => 'home-banner-category',
				'type'     => 'select',
				'multi'    => true,
				'title'    => __('Select Your Category', 'agrg'),
				'subtitle' => __('No validation can be done on this field type', 'agrg'),
				'desc'     => __('This is the description field, again good for additional info.', 'agrg'),
				//Must provide key => value pairs for radio options
				'options'  => $cat,
			 'required' => array( 'static-banner-style', '=', '2' )
			),
        )
);

$sections[] = array(
	'icon' => 'el-icon-cogs',
	'icon_class' => 'icon-large',
    'title' => __('Footer settings', 'agrg'),
	'fields' => array(
			array(
			'id'=>'footer_copyright',
			'type' => 'text',
			'title' => __('Footer Copyright Text', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('You can add text and HTML in here.', 'agrg'),
			'default' => ''
			),

			array(
			'id'=>'footer-styles',
			'type' => 'button_set',
			'title' => __('Footer Style ', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3', '4' => 'Style 4'),
			'default' => 1
			),
			array(
			'id'=>'footer-grid',
			'type' => 'button_set',
			'title' => __('Footer Column Style', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('1' => 'Grids 3', '2' => 'Grids 4'),
			'default' => 1,
			),
		array(
            'id' => 'footer-upper-bar',
            'type' => 'switch',
            'title' => __('Footer Upper Bar', 'agrg'),
            'subtitle' => __('', 'agrg'),
            'default' => 2,
            ),

		array(
            'id' => 'scroll-to-top',
            'type' => 'switch',
            'title' => __('Scroll to Top', 'agrg'),
            'subtitle' => __('', 'agrg'),
            'default' => 1,
            ),
		array(
            'id' => 'scroll-to-top-effect',
            'type' => 'button_set',
            'title' => __('Scroll to Top Effects', 'agrg'),
            'subtitle' => __('', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2'),
            'default' => 1,
            'required' => array( 'scroll-to-top', '=', '1' )
            ),
			array(
            'id' => 'footer-menu',
            'type' => 'switch',
            'title' => __('Footer Menu', 'agrg'),
            'subtitle' => __('', 'agrg'),
            'default' => 0,
            ),
		array(
			'id'       => 'footer-bg-color',
	        'type'     => 'color',
	        'title'    => __('Footer Background Color', 'agrg'),
	        'subtitle' => __('Pick a Footer Background Color (default: #171919).', 'agrg'),
	        'default'  => '#171919',
	        'validate' => 'color',
	        'transparent' => false,
			),
		array(
			'id'       => 'footer-bottom-bg-color',
	        'type'     => 'color',
	        'title'    => __('Footer Bottom Bar Background Color', 'agrg'),
	        'subtitle' => __('Pick a Footer Bottom Bar Background Color (default: #aaa).', 'agrg'),
	        'default'  => '#aaa',
	        'validate' => 'color',
	        'transparent' => false,
			),
		array(
			'id'       => 'footer-bottom-text-color',
	        'type'     => 'color',
	        'title'    => __('Footer Bottom Text Color', 'agrg'),
	        'subtitle' => __('Pick a Footer Bottom Text Color (default: #333).', 'agrg'),
	        'default'  => '#333',
	        'validate' => 'color',
	        'transparent' => false,
			),

	)
);


$sections[] = array(
	'icon' => 'el-icon-globe',
	'icon_class' => 'icon-large',
    'title' => __('Google Map', 'agrg'),
	'fields' => array(

		array(
			'id'=>'map_key',
			'type' => 'text',
			'title' => __('Google Map Api Key (USE ONLY WHEN YOUR GOOGLE MAP IS NOT WORKING)', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Put here Google map api key, <a target=_blank href="https://www.youtube.com/watch?v=LaiE9qAfNnY">CLICK HERE</a> and see how to create Google map api key.', 'agrg'),
			'default' => ''
			),

		array(
			'id'=>'map-style',
	        'type' => 'textarea',
	        'title' => __('Map Styles', 'agrg'),
	        'subtitle' => __('Check <a href="http://snazzymaps.com/" target="_blank">snazzymaps.com</a> for a list of nice google map styles.', 'agrg'),
	        'desc' => __('Ad here your google map style.', 'agrg'),
	        'validate' => 'html_custom',
	        'default' => '',
	        'allowed_html' => array(
	            'a' => array(
	                'href' => array(),
	                'title' => array()
	            ),
	            'br' => array(),
	            'em' => array(),
	            'strong' => array()
	       		)
			),


		),
	);



$sections[] = array(
	'icon' => 'el-icon-website',
	'icon_class' => 'icon-large',
    'title' => __('Pages', 'agrg'),
	'fields' => array(

		array(
			'id'=>'login',
			'type' => 'text',
			'title' => __('Login Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'profile',
			'type' => 'text',
			'title' => __('Profile Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'edit',
			'type' => 'text',
			'title' => __('Edit Profile Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),


		array(
			'id'=>'new_post',
			'type' => 'text',
			'title' => __('New Ad Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'edit_post',
			'type' => 'text',
			'title' => __('Edit Ad Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'featured_plans',
			'type' => 'text',
			'title' => __('Featured Plans Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		),
	);



$sections[] = array(
	'icon' => 'el-icon-font',
	'icon_class' => 'icon-large',
    'title' => __('Fonts', 'agrg'),
	'fields' => array(

		array(
            'id' => 'heading1-font',
            'type' => 'typography',
            'title' => __('H1 Font', 'agrg'),
            'subtitle' => __('Specify the headings font properties.', 'agrg'),
            'google' => true,
            'output' => array('h1, h1 a, h1 span'),
            'default' => array(
                'color' => '#3f3d59',
                'font-size' => '38.5px',
                'font-family' => 'Roboto Slab',
                'font-weight' => '700',
                'line-height' => '40px',
                ),
         	),

		array(
            'id' => 'heading2-font',
            'type' => 'typography',
            'title' => __('H2 Font', 'agrg'),
            'subtitle' => __('Specify the headings font properties.', 'agrg'),
            'google' => true,
            'output' => array('h2, h2 a, h2 span'),
            'default' => array(
                'color' => '#333333',
                'font-size' => '32px',
                'font-family' => 'Montserrat',
                'font-weight' => '700',
                'line-height' => '40px',
                ),
         	),

		array(
            'id' => 'heading3-font',
            'type' => 'typography',
            'title' => __('H3 Font', 'agrg'),
            'subtitle' => __('Specify the headings font properties.', 'agrg'),
            'google' => true,
            'output' => array('h3, h3 a, h3 span'),
            'default' => array(
                'color' => '#33',
                'font-size' => '18px',
                'font-family' => 'Montserrat',
                'font-weight' => '700',
                'line-height' => '40px',
                ),
         	),

		array(
            'id' => 'heading4-font',
            'type' => 'typography',
            'title' => __('H4 Font', 'agrg'),
            'subtitle' => __('Specify the headings font properties.', 'agrg'),
            'google' => true,
            'output' => array('h4, h4 a, h4 span'),
            'default' => array(
				'color' => '#444',
                'font-size' => '18px',
                'font-family' => 'Raleway',
                'font-weight' => '700',
                'line-height' => '40px',
                ),
         	),

		array(
            'id' => 'heading5-font',
            'type' => 'typography',
            'title' => __('H5 Font', 'agrg'),
            'subtitle' => __('Specify the headings font properties.', 'agrg'),
            'google' => true,
            'output' => array('h5, h5 a, h5 span'),
            'default' => array(
                'color' => '#484848',
                'font-size' => '14px',
                'font-family' => 'Roboto',
                'font-weight' => '300',
                'line-height' => '40px',
                ),
         	),

		array(
            'id' => 'heading6-font',
            'type' => 'typography',
            'title' => __('H6 Font', 'agrg'),
            'subtitle' => __('Specify the headings font properties.', 'agrg'),
            'google' => true,
            'output' => array('h6, h6 a, h6 span'),
            'default' => array(
                'color' => '#484848',
                'font-size' => '11.9px',
                'font-family' => 'Roboto',
                'font-weight' => '300',
                'line-height' => '40px',
                ),
         	),

		array(
            'id' => 'body-font',
            'type' => 'typography',
            'title' => __('Body Font', 'agrg'),
            'subtitle' => __('Specify the body font properties.', 'agrg'),
            'google' => true,
            'output' => array('.ad-detail-half-box .ad-detail-info,span.ad-page-price,html, body, div, applet, object, iframe p, blockquote, a, abbr, acronym, address, big, cite, del, dfn, em, img, ins, kbd, q, s, samp, small, strike, sub, sup, tt, var, b, u, center, dl, dt, dd, ol, ul, li, fieldset, form, label, legend, table, caption, tbody, tfoot, thead, tr, th, td, article, aside, canvas, details, embed, figure, figcaption, footer, header, hgroup, menu, nav, output, ruby, section, summary, time, mark, audio, video'),
            'default' => array(
                'color' => '#555',
                'font-size' => '14px',
                'font-family' => 'Lato',
                'font-weight' => 'Normal',
                'line-height' => '24px',
                ),
         	),
		array(
            'id' => 'a-heading-font',
            'type' => 'typography',
            'title' => __('Anchor heading Font', 'agrg'),
            'subtitle' => __('Specify the Anchor heading font properties.', 'agrg'),
            'google' => true,
            'output' => array('.ad-detail-info .description,.post-title a,.three-tabs li a'),
            'default' => array(
                'color' => '#444',
                'font-size' => '14px',
                'font-family' => 'Raleway',
                'font-weight' => 'Normal',
                'line-height' => '24px',
                ),
         	),
		array(
            'id' => 'main-font-1',
            'type' => 'typography',
            'title' => __('Main Font 1', 'agrg'),
            'subtitle' => __('Specify the Main Font 1 properties.', 'agrg'),
            'google' => true,
			'color' => false,
			'subsets' => false,
			'text-align' => false,
			'font-size' => false,
			'font-weight' => false,
			'font-style' => false,
			'line-height' => false,
            'output' => array('#register-login-block-top ul li a ,.header-pos-static .header-v5-login-register li a,.header-v5 .make-new-ad,.header-pos-static .header-v6-login-register li a,.header-v6 .make-new-ad,.header-v6 .register-btn,.header-v6 .make-new-ad a,.header-v6 .register-btn a,.header-v6-login-register.afterlogin li.first a,.header-v6-login-register.afterlogin li.last a,.post-title a,.ad-box .add-price span ,#featured-abs .ad-hover-content .post-title a ,#featured-abs .ad-box .add-price span ,.post-title-cat .post-title a,.category-btn a ,.cat-title h4 ,.more-btn-inner,.more-btn-inner a,#ads-homepage ul.tabs li a ,.subscribe_email #wp-subscribe h4.title,.single-slider .single-ad-price,.single-description .description-title,.detail-cat a,.author-form h3,#uploadTrigger,#latitude-field input, #longitude-field input,.ad-post-main #edit-submit, #edit-profile #edit-submit,.marker-info-title a,.marker-info-price ,.map-box-style-2 .marker-info-holder .add-price span,.map-box-style-2 .marker-info-title a,.map-box-style-2 .marker-info-left .feat-category,.map-box-style-3 .feat-category,.author-btn .button-ag,.search-bar-version2 .search-your-keyword-txt label,.search-bar-version3 #edit-submit-search-view span,.search-bar-version4 #edit-submit-search-view span,#featured-abs .ad-box .add-price span,.categories-homepage-vr-3 .category-title-v3 a h4,.categories-homepage-vr-3 .category-content-v3 ul li a,#ads-homepage.grid-vr-2 .feat-category,#ads-homepage.grid-vr-2 .ads-price-v2,.listing-ads-vr-3 .post-title-cat .post-title .list-post-price,#ads-homepage.grid-vr-3  .ad-box .add-price span,#ads-homepage.listing-ads-vr-2  .ad-box .add-price span,.plan-vr-3.single-plan #submit-plan,.location-version-3 .location-content a,.main_menu a,h4.block-title,.callout-inner h4,.callout-inner h4 span,.callout-inner p,.ad-title h2, .ad-title h2 a,.ad-title .ad-page-price aa.register-social-button-facebook,a.register-social-button-twitter,a.register-social-button-google,section#locations .location .span3 a,.my-ad-details a.my-ad-title,.my-ad-details span, .my-ad-details span a,.listing-ads .read-more-btn-inner a,.single-plan .product-title h3,.pro-price,.single-plan #submit-plan,.popular-title,.menu-v3 a,.log-forms #edit-submit,.log-forms input#edit-submit,.log-forms .register-page-title h5,.contact-meta .contact-single-meta h3,.page-template-template-profile-php .my-ad-box .post-title-my-ad a,.blog-date,.blog-month,.blog-title h2 a,.blog-title h2,.blog-btn,.blog-btn a,.blog-author-info .author-title h3,.related-post-title h3 a,.comments-header h3,.comment-author,.comment-title,.comment-reply a,.banner-text-one-h3-2,.banner-text-second-h2-2,.footer-menu #menu-footer li a ,.footer-menu #menu-footer li a'),
            'default' => array(
                'font-family' => 'Montserrat',
                ),
         	),
		array(
            'id' => 'main-font-2',
            'type' => 'typography',
            'title' => __('Main Font 2', 'agrg'),
            'subtitle' => __('Specify the Main Font 2 properties.', 'agrg'),
            'google' => true,
			'color' => false,
			'subsets' => false,
			'text-align' => false,
			'font-size' => false,
			'font-weight' => false,
			'font-style' => false,
			'line-height' => false,
            'output' => array('.controls input ,.views-exposed-form .views-exposed-widget .btn-primary,#upload-ad .input-title input#postTitle ,#upload-ad .input-title input#post_location,#edit-profile .input-title input.text,#edit-profile .input-title textarea.text, .subscribe_email #wp-subscribe p,.subscribe_email #wp-subscribe p.text,.subscribe_email #wp-subscribe input.email-field,.subscribe_email #wp-subscribe input.submit,.plan-vr-3.single-plan .plan-tag,input[type="submit"],.sticky li p,.banner-text-third-2'),
            'default' => array(
                'font-family' => 'Lato',
                ),
         	),
		),
	);

$sections[] = array(
	'icon' => 'el-icon-adjust',
	'icon_class' => 'icon-large',
    'title' => __('Colors', 'agrg'),
	'fields' => array(

		array(
			'id'       => 'color-primary',
	        'type'     => 'color',
	        'title'    => __('Primary Color', 'agrg'),
	        'subtitle' => __('Pick a Primary Color (default: #444).', 'agrg'),
	        'default'  => '#444',
	        'validate' => 'color',
	        'transparent' => false,
			),

		array(
			'id'       => 'color-main',
	        'type'     => 'color',
	        'title'    => __('Link Color', 'agrg'),
	        'subtitle' => __('Pick a color for link (default: #666).', 'agrg'),
	        'default'  => '#666',
	        'validate' => 'color',
	        'transparent' => false,
			),

		array(
			'id'       => 'color-main-hover',
	        'type'     => 'color',
	        'title'    => __('Hover/Active Link State Color', 'agrg'),
	        'subtitle' => __('Pick a color for hover/active link state (default: #e96969).', 'agrg'),
	        'default'  => '#e96969',
	        'validate' => 'color',
	        'transparent' => false,
			),

		array(
			'id'       => 'button-color-main',
	        'type'     => 'color',
	        'title'    => __('Buttons Color', 'agrg'),
	        'subtitle' => __('Pick a color for buttons (default: #f8f8f8).', 'agrg'),
	        'default'  => '#f8f8f8',
	        'validate' => 'color',
	        'transparent' => false,
			),

		array(
			'id'       => 'button-color-main-hover',
	        'type'     => 'color',
	        'title'    => __('Buttons Hover State Color', 'agrg'),
	        'subtitle' => __('Pick a color for buttons hover state (default: #e96969).', 'agrg'),
	        'default'  => '#e96969',
	        'validate' => 'color',
	        'transparent' => false,
			),

		),
	);

$sections[] = array(
	'icon' => 'el-icon-group',
	'icon_class' => 'icon-large',
    'title' => __('Social Links', 'agrg'),
	'fields' => array(

		array(
			'id'=>'facebook-link',
			'type' => 'text',
			'title' => __('Facebook Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'twitter-link',
			'type' => 'text',
			'title' => __('Twitter Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'dribbble-link',
			'type' => 'text',
			'title' => __('Dribbble Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'flickr-link',
			'type' => 'text',
			'title' => __('Flickr Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'github-link',
			'type' => 'text',
			'title' => __('Github Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'pinterest-link',
			'type' => 'text',
			'title' => __('Pinterest Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'youtube-link',
			'type' => 'text',
			'title' => __('Youtube Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'google-plus-link',
			'type' => 'text',
			'title' => __('Google+ Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'linkedin-link',
			'type' => 'text',
			'title' => __('LinkedIn Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'tumblr-link',
			'type' => 'text',
			'title' => __('Tumblr Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'vimeo-link',
			'type' => 'text',
			'title' => __('Vimeo Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),
			array(
			'id'=>'instagram-link',
			'type' => 'text',
			'title' => __('Instagram Page URL', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		),

	);
			$sections[] = array(
	'icon' => 'el-icon-website',
	'icon_class' => 'icon-large',
    'title' => __('Custom Ads', 'agrg'),
    'description' => __('These ads will be display on Homepage, Locations Page and Categories Page', 'agrg'),
	'fields' => array(

			array(
			'id'=>'page-ad-btn',
			'type' => 'button_set',
			'title' => __('Enable Ads Section', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('1' => 'Custom Ads', '2' => 'Google Adsense'),//Must provide key => value pairs for radio options
			'default' => 1
			),
		array(
			'id'=>'home_ad1',
			'type' => 'media',
			'url'=> true,
			'title' => __('Ad 1', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your Ad Image.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
            'required' => array( 'page-ad-btn', '=', '1' )
			),
		array(
			'id'=>'home_ad1_url',
			'type' => 'text',
			'title' => __('Ad 1 link URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('You can add URL.', 'agrg'),
			'default' => '',
			'validate' => 'url',
            'required' => array( 'page-ad-btn', '=', '1' )
			),
			array(
			'id'=>'home_ad2',
			'type' => 'media',
			'url'=> true,
			'title' => __('Ad 2', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your Ad Image.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
            'required' => array( 'page-ad-btn', '=', '1' )
			),
		array(
			'id'=>'home_ad2_url',
			'type' => 'text',
			'title' => __('Ad 2 link URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('You can add URL.', 'agrg'),
			'default' => '',
			'validate' => 'url',
            'required' => array( 'page-ad-btn', '=', '1' )
			),
			array(
				'id'=>'googlead-tcode',
				'type' => 'textarea',
				'title' => __('Enter Here Google Adsense Code 1', 'agrg'),
				'subtitle' => __('', 'agrg'),
				'desc' => __('Enter here Your Google Adsense Code', 'agrg'),
				'default' => '',
            'required' => array( 'page-ad-btn', '=', '2' )
			),
			array(
				'id'=>'googlead-tcode2',
				'type' => 'textarea',
				'title' => __('Enter Here Google Adsense Code 2', 'agrg'),
				'subtitle' => __('', 'agrg'),
				'desc' => __('Enter here Your Google Adsense Code', 'agrg'),
				'default' => '',
            'required' => array( 'page-ad-btn', '=', '2' )
			),
		),
	);

	$sections[] = array(
	'icon' => 'el-icon-website',
	'icon_class' => 'icon-large',
    'title' => __('Callout Message For Home page', 'agrg'),
	'fields' => array(

			array(
			'id'=>'home-get-started-style',
			'type' => 'button_set',
			'title' => __('Home Call Out Styles', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('1' => 'Style 1', '2' => 'Style 2', '3' => 'Style 3', '4' => 'Style 4'),//Must provide key => value pairs for radio options
			'default' => 1
			),
		array(
			'id'=>'callout-bg',
			'type' => 'media',
			'url'=> true,
			'title' => __('Style 1 Callout Background', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your Image.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
             'required' => array( 'home-get-started-style', '=', '1' )
			),
		array(
			'id'=>'callout_title',
			'type' => 'text',
			'title' => __('Style 1 Callout Title', 'agrg'),
			'desc'=> __('Put here your Callout title', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'ARE YOU READY',
             'required' => array( 'home-get-started-style', '=', '1' )
			),
		array(
			'id'=>'callout_desc',
			'type' => 'textArea',
			'title' => __('Style 1 Callout Description', 'agrg'),
			'desc'=> __('Put here your Callout Description', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'FOR THE POSTING YOUR ADS WITH "CLASSIADS".',
             'required' => array( 'home-get-started-style', '=', '1' )
			),
		array(
			'id'=>'callout_btn_text',
			'type' => 'text',
			'title' => __('Style 1 Callout Button Text', 'agrg'),
			'desc'=> __('Put here your Callout Button Text', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'Get Started ',
             'required' => array( 'home-get-started-style', '=', '1' )
			),
			array(
			'id'=>'callout_btn_url',
			'type' => 'text',
			'title' => __('Style 1 Callout Button URL', 'agrg'),
			'desc'=> __('Put here your Callout Button URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
             'required' => array( 'home-get-started-style', '=', '1' )
			),
		array(
			'id'=>'callout-bg-2',
			'type' => 'media',
			'url'=> true,
			'title' => __('Style 2 Callout Background', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your Image.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
             'required' => array( 'home-get-started-style', '=', '2' )
			),
		array(
			'id'=>'callout_title_2',
			'type' => 'text',
			'title' => __('Style 2 Callout Title', 'agrg'),
			'desc'=> __('Put here your Callout title', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'ARE YOU READY',
             'required' => array( 'home-get-started-style', '=', '2' )
			),
		array(
			'id'=>'callout_desc_2',
			'type' => 'textArea',
			'title' => __('Style 2 Callout Description', 'agrg'),
			'desc'=> __('Put here your Callout Description', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'FOR THE POSTING YOUR ADS WITH CLASSIADS.',
             'required' => array( 'home-get-started-style', '=', '2' )
			),
		array(
			'id'=>'callout_btn_text_2',
			'type' => 'text',
			'title' => __('Style 2 Callout Button Text', 'agrg'),
			'desc'=> __('Put here your Callout Button Text', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'Get Started ',
             'required' => array( 'home-get-started-style', '=', '2' )
			),
			array(
			'id'=>'callout_btn_url_2',
			'type' => 'text',
			'title' => __('Style 2 Callout Button URL', 'agrg'),
			'desc'=> __('Put here your Callout Button URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
             'required' => array( 'home-get-started-style', '=', '2' )
			),
		array(
			'id'=>'callout_bg_3',
			'type' => 'media',
			'url'=> true,
			'title' => __('Style 3 Callout Background', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your Image.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
             'required' => array( 'home-get-started-style', '=', '3' )
			),
		array(
			'id'=>'callout_title_3',
			'type' => 'text',
			'title' => __('Style 3 Callout Title', 'agrg'),
			'desc'=> __('Put here your Callout title', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'START YOUR BUSINESS',
             'required' => array( 'home-get-started-style', '=', '3' )
			),
		array(
			'id'=>'callout_desc_3',
			'type' => 'textArea',
			'title' => __('Style 3 Callout Description', 'agrg'),
			'desc'=> __('Put here your Callout Description', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'Morbi accumsan ipsum velit nam nec tellus a odio tincidunt auctor a ornare consequat auctor sociosqu ad litora torquent commondo inceptos himenaeos.',
             'required' => array( 'home-get-started-style', '=', '3' )
			),
		array(
			'id'=>'callout_btn_text_3',
			'type' => 'text',
			'title' => __('Style 3 Callout Button Text', 'agrg'),
			'desc'=> __('Put here your Callout Button Text', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'SIGN UP FREE',
             'required' => array( 'home-get-started-style', '=', '3' )
			),
			array(
			'id'=>'callout_btn_url_3',
			'type' => 'text',
			'title' => __('Style 3 Callout Button URL', 'agrg'),
			'desc'=> __('Put here your Callout Button URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
             'required' => array( 'home-get-started-style', '=', '3' )
			),
		array(
			'id'=>'callout_btn_text_3_1',
			'type' => 'text',
			'title' => __('Style 3 Callout Button Text', 'agrg'),
			'desc'=> __('Put here your Callout Button Text', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'START TOUR',
             'required' => array( 'home-get-started-style', '=', '3' )
			),
			array(
			'id'=>'callout_btn_url_3_1',
			'type' => 'text',
			'title' => __('Style 3 Callout Button URL', 'agrg'),
			'desc'=> __('Put here your Callout Button URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
             'required' => array( 'home-get-started-style', '=', '3' )
			),
		array(
			'id'=>'callout_bg_4',
			'type' => 'media',
			'url'=> true,
			'title' => __('Style 4 Callout Background', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your Image.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
             'required' => array( 'home-get-started-style', '=', '4' )
			),
		array(
			'id'=>'callout_title_4',
			'type' => 'text',
			'title' => __('Style 4 Callout Title', 'agrg'),
			'desc'=> __('Put here your Callout title', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'START YOUR BUSINESS',
             'required' => array( 'home-get-started-style', '=', '4' )
			),
		array(
			'id'=>'callout_desc_4',
			'type' => 'textArea',
			'title' => __('Style 4 Callout Description', 'agrg'),
			'desc'=> __('Put here your Callout Description', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'Morbi accumsan ipsum velit nam nec tellus a odio tincidunt auctor a ornare consequat auctor sociosqu ad litora torquent commondo inceptos himenaeos.',
             'required' => array( 'home-get-started-style', '=', '4' )
			),
		array(
			'id'=>'callout_btn_text_4',
			'type' => 'text',
			'title' => __('Style 4 Callout Button Text', 'agrg'),
			'desc'=> __('Put here your Callout Button Text', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'SIGN UP FREE',
             'required' => array( 'home-get-started-style', '=', '4' )
			),
			array(
			'id'=>'callout_btn_url_4',
			'type' => 'text',
			'title' => __('Style 4 Callout Button URL', 'agrg'),
			'desc'=> __('Put here your Callout Button URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
             'required' => array( 'home-get-started-style', '=', '4' )
			),
		array(
			'id'=>'callout_btn_text_4_1',
			'type' => 'text',
			'title' => __('Style 4 Callout Button Text', 'agrg'),
			'desc'=> __('Put here your Callout Button Text', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>'START TOUR',
             'required' => array( 'home-get-started-style', '=', '4' )
			),
			array(
			'id'=>'callout_btn_url_4_1',
			'type' => 'text',
			'title' => __('Style 4 Callout Button URL', 'agrg'),
			'desc'=> __('Put here your Callout Button URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
             'required' => array( 'home-get-started-style', '=', '4' )
			),

		),
	);
	$sections[] = array(
	'icon' => 'el-icon-website',
	'icon_class' => 'icon-large',
    'title' => __('Partners', 'agrg'),
	'fields' => array(
		array(
			'id'=>'partner1',
			'type' => 'media',
			'url'=> true,
			'title' => __('Partner One', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your logo.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
			),
		array(
			'id'=>'partner1_url',
			'type' => 'text',
			'title' => __('Partner One URL', 'agrg'),
			'desc'=> __('Put here Partner One URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
			),
		array(
			'id'=>'partner2',
			'type' => 'media',
			'url'=> true,
			'title' => __('Partner two', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your logo.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
			),
		array(
			'id'=>'partner2_url',
			'type' => 'text',
			'title' => __('Partner Two URL', 'agrg'),
			'desc'=> __('Put here Partner Two URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
			),
		array(
			'id'=>'partner3',
			'type' => 'media',
			'url'=> true,
			'title' => __('Partner three', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your logo.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
			),
		array(
			'id'=>'partner3_url',
			'type' => 'text',
			'title' => __('Partner Three URL', 'agrg'),
			'desc'=> __('Put here Partner Three URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
			),
		array(
			'id'=>'partner4',
			'type' => 'media',
			'url'=> true,
			'title' => __('Partner four', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your logo.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
			),
		array(
			'id'=>'partner4_url',
			'type' => 'text',
			'title' => __('Partner Four URL', 'agrg'),
			'desc'=> __('Put here Partner Four URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
			),
		array(
			'id'=>'partner5',
			'type' => 'media',
			'url'=> true,
			'title' => __('Partner five', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your logo.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
			),
		array(
			'id'=>'partner5_url',
			'type' => 'text',
			'title' => __('Partner Five URL', 'agrg'),
			'desc'=> __('Put here Partner Five URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
			),
		array(
			'id'=>'partner6',
			'type' => 'media',
			'url'=> true,
			'title' => __('Partner six', 'agrg'),
			'compiler' => 'true',
			//'mode' => false, // Can be set to false to allow any media type, or can also be set to any mime type.
			'desc'=> __('Upload your logo.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'default'=>array('url'=>''),
			),

		array(
			'id'=>'partner6_url',
			'type' => 'text',
			'title' => __('Partner Six URL', 'agrg'),
			'desc'=> __('Put here Partner Six URL', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'validate' => 'url',
			'default'=>'',
			),


		),
	);
	$sections[] = array(
	'icon' => 'el-icon-twitter',
	'icon_class' => 'icon-large',
    'title' => __('Twitter Api', 'agrg'),
	'fields' => array(

		array(
			'id'=>'consumer_key',
			'type' => 'text',
			'title' => __('Consumer Key', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => ''
			),

		array(
			'id'=>'consumer_secret',
			'type' => 'text',
			'title' => __('Consumer Secret', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => ''
			),

		array(
			'id'=>'access_token',
			'type' => 'text',
			'title' => __('User Access Token', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => ''
			),

		array(
			'id'=>'access_token_secret',
			'type' => 'text',
			'title' => __('User Access Token Secret', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => ''
			),



		),
	);

$sections[] = array(
	'icon' => 'el-icon-envelope',
	'icon_class' => 'icon-large',
    'title' => __('Contact Page', 'agrg'),
	'fields' => array(

		array(
			'id'=>'contact-email',
			'type' => 'text',
			'title' => __('Your email address', 'agrg'),
			'subtitle' => __('This must be an email address.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'email',
			'default' => ''
			),

		array(
			'id'=>'contact-address',
			'type' => 'text',
			'title' => __('Your address', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => ''
			),

		array(
			'id'=>'website-urls',
			'type' => 'text',
			'title' => __('Website Url', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => 'http://designinvento.net/'
			),

		array(
			'id'=>'contact-phone',
			'type' => 'text',
			'title' => __('Contact Number', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => '+44 444 8888 444'
			),
		array(
			'id'=>'contact-email-error',
			'type' => 'text',
			'title' => __('Email error message', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => 'You entered an invalid email.'
			),

		array(
			'id'=>'contact-name-error',
			'type' => 'text',
			'title' => __('Name error message', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => 'You forgot to enter your name.'
			),

		array(
			'id'=>'contact-message-error',
			'type' => 'text',
			'title' => __('Message error', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => 'You forgot to enter your message.'
			),

		array(
			'id'=>'contact-thankyou-message',
			'type' => 'text',
			'title' => __('Thank you message', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => 'Thank you! We will get back to you as soon as possible.'
			),

		array(
			'id'=>'contact-latitude',
			'type' => 'text',
			'title' => __('Latitude', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => ''
			),

		array(
			'id'=>'contact-longitude',
			'type' => 'text',
			'title' => __('Longitude', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => ''
			),

		array(
			'id'=>'contact-zoom',
			'type' => 'text',
			'title' => __('Zoom level', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => ''
			),

		),
	);

$sections[] = array(
  		'title' => esc_html__('Currency Settings', 'agrg'),
  		'desc' => esc_html__('', 'agrg'),
  		'icon' => 'el-icon-shopping-cart',
  		'fields' => array(
		array(
		'id' => 'currency-setup',
		'type' => 'button_set',
		'title' => esc_html__('Currency Setup','agrg'),
		'subtitle' => esc_html__('', 'agrg'),
		'desc' => esc_html__('','agrg'),
		'options' => array(
		'cs-new' => esc_html__('Currency Setup New','agrg'),
		'cs-old' => esc_html__('Currency Setup Old','agrg')
		),
		'default' => 'cs-new',
		),
		array(
			'id'=>'postcurrency',
			'type' => 'text',
			'required' => array('currency-setup', 'equals', 'cs-old'),
			'title' => __('Please Put here your own currency sign for new ad post price field.', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('Leave empty if you do not want to dictate this for user.', 'agrg'),
			'default' => ''
			),
		array(
		'id' => 'sign-code',
		'type' => 'button_set',
		'required' => array('currency-setup', 'equals', 'cs-new'),
		'title' => esc_html__('Select Currency Sign / Code','agrg'),
		'subtitle' => esc_html__('', 'agrg'),
		'desc' => esc_html__('','agrg'),
		'options' => array(
		'sign' => esc_html__('Currency Sign','agrg'),
		'code' => esc_html__('Currency Code','agrg')
		),
		'default' => 'sign',
		),
  		array(
  		  'id' => 'currency-sign',
          'type' => 'text',
  		  'required' => array('sign-code', 'equals', 'sign'),
          'title' => esc_html__('Currency Sign','agrg'),
          'desc' => esc_html__('','agrg'),
          'default' => '$',
  			),
  		array(
  			'id' => 'currency-code',
          'type' => 'select',
  				'required' => array('sign-code', 'equals', 'code'),
          'title' => esc_html__('Currency Sign','agrg'),
          'desc' => esc_html__('','agrg'),
          "options" => array(
             "AED" => "United Arab Emirates dirham (&#x62f;.&#x625;)",
             "AFN" => "Afghan afghani (&#x60b;)",
             "ALL" => "Albanian lek (L)",
             "AMD" => "Armenian dram (AMD)",
             "ANG" => "Netherlands Antillean guilder (&fnof;)",
             "AOA" => "Angolan kwanza (Kz)",
             "ARS" => "Argentine peso (&#36;)",
             "AUD" => "Australian dollar (&#36;)",
             "AWG" => "Aruban florin (&fnof;)",
             "AZN" => "Azerbaijani manat (AZN)",
             "BAM" => "Bosnia and Herzegovina convertible mark (KM)",
             "BBD" => "Barbadian dollar (&#36;)",
             "BDT" => "Bangladeshi taka (&#2547;&nbsp;)",
             "BGN" => "Bulgarian lev (&#1083;&#1074;.)",
             "BHD" => "Bahraini dinar (.&#x62f;.&#x628;)",
             "BIF" => "Burundian franc (Fr)",
             "BMD" => "Bermudian dollar (&#36;)",
             "BND" => "Brunei dollar (&#36;)",
             "BOB" => "Bolivian boliviano (Bs.)",
             "BRL" => "Brazilian real (&#82;&#36;)",
             "BSD" => "Bahamian dollar (&#36;)",
             "BTC" => "Bitcoin (&#3647;)",
             "BTN" => "Bhutanese ngultrum (Nu.)",
             "BWP" => "Botswana pula (P)",
             "BYR" => "Belarusian ruble (Br)",
             "BZD" => "Belize dollar (&#36;)",
             "CAD" => "Canadian dollar (&#36;)",
             "CDF" => "Congolese franc (Fr)",
             "CHF" => "Swiss franc (&#67;&#72;&#70;)",
             "CLP" => "Chilean peso (&#36;)",
             "CNY" => "Chinese yuan (&yen;)",
             "COP" => "Colombian peso (&#36;)",
             "CRC" => "Costa Rican col&oacute;n (&#x20a1;)",
             "CUC" => "Cuban convertible peso (&#36;)",
             "CUP" => "Cuban peso (&#36;)",
             "CVE" => "Cape Verdean escudo (&#36;)",
             "CZK" => "Czech koruna (&#75;&#269;)",
             "DJF" => "Djiboutian franc (Fr)",
             "DKK" => "Danish krone (DKK)",
             "DOP" => "Dominican peso (RD&#36;)",
             "DZD" => "Algerian dinar (&#x62f;.&#x62c;)",
             "EGP" => "Egyptian pound (EGP)",
             "ERN" => "Eritrean nakfa (Nfk)",
             "ETB" => "Ethiopian birr (Br)",
             "EUR" => "Euro (&euro;)",
             "FJD" => "Fijian dollar (&#36;)",
             "FKP" => "Falkland Islands pound (&pound;)",
             "GBP" => "Pound sterling (&pound;)",
             "GEL" => "Georgian lari (&#x10da;)",
             "GGP" => "Guernsey pound (&pound;)",
             "GHS" => "Ghana cedi (&#x20b5;)",
             "GIP" => "Gibraltar pound (&pound;)",
             "GMD" => "Gambian dalasi (D)",
             "GNF" => "Guinean franc (Fr)",
             "GTQ" => "Guatemalan quetzal (Q)",
             "GYD" => "Guyanese dollar (&#36;)",
             "HKD" => "Hong Kong dollar (&#36;)",
             "HNL" => "Honduran lempira (L)",
             "HRK" => "Croatian kuna (Kn)",
             "HTG" => "Haitian gourde (G)",
             "HUF" => "Hungarian forint (&#70;&#116;)",
             "IDR" => "Indonesian rupiah (Rp)",
             "ILS" => "Israeli new shekel (&#8362;)",
             "IMP" => "Manx pound (&pound;)",
             "INR" => "Indian rupee (&#8377;)",
             "IQD" => "Iraqi dinar (&#x639;.&#x62f;)",
             "IRR" => "Iranian rial (&#xfdfc;)",
             "ISK" => "Icelandic kr&oacute;na (Kr.)",
             "JEP" => "Jersey pound (&pound;)",
             "JMD" => "Jamaican dollar (&#36;)",
             "JOD" => "Jordanian dinar (&#x62f;.&#x627;)",
             "JPY" => "Japanese yen (&yen;)",
             "KES" => "Kenyan shilling (KSh)",
             "KGS" => "Kyrgyzstani som (&#x43b;&#x432;)",
             "KHR" => "Cambodian riel (&#x17db;)",
             "KMF" => "Comorian franc (Fr)",
             "KPW" => "North Korean won (&#x20a9;)",
             "KRW" => "South Korean won (&#8361;)",
             "KWD" => "Kuwaiti dinar (&#x62f;.&#x643;)",
             "KYD" => "Cayman Islands dollar (&#36;)",
             "KZT" => "Kazakhstani tenge (KZT)",
             "LAK" => "Lao kip (&#8365;)",
             "LBP" => "Lebanese pound (&#x644;.&#x644;)",
             "LKR" => "Sri Lankan rupee (&#xdbb;&#xdd4;)",
             "LRD" => "Liberian dollar (&#36;)",
             "LSL" => "Lesotho loti (L)",
             "LYD" => "Libyan dinar (&#x644;.&#x62f;)",
             "MAD" => "Moroccan dirham (&#x62f;.&#x645;.)",
             "MDL" => "Moldovan leu (L)",
             "MGA" => "Malagasy ariary (Ar)",
             "MKD" => "Macedonian denar (&#x434;&#x435;&#x43d;)",
             "MMK" => "Burmese kyat (Ks)",
             "MNT" => "Mongolian t&ouml;gr&ouml;g (&#x20ae;)",
             "MOP" => "Macanese pataca (P)",
             "MRO" => "Mauritanian ouguiya (UM)",
             "MUR" => "Mauritian rupee (&#x20a8;)",
             "MVR" => "Maldivian rufiyaa (.&#x783;)",
             "MWK" => "Malawian kwacha (MK)",
             "MXN" => "Mexican peso (&#36;)",
             "MYR" => "Malaysian ringgit (&#82;&#77;)",
             "MZN" => "Mozambican metical (MT)",
             "NAD" => "Namibian dollar (&#36;)",
             "NGN" => "Nigerian naira (&#8358;)",
             "NIO" => "Nicaraguan c&oacute;rdoba (C&#36;)",
             "NOK" => "Norwegian krone (&#107;&#114;)",
             "NPR" => "Nepalese rupee (&#8360;)",
             "NZD" => "New Zealand dollar (&#36;)",
             "OMR" => "Omani rial (&#x631;.&#x639;.)",
             "PAB" => "Panamanian balboa (B/.)",
             "PEN" => "Peruvian nuevo sol (S/.)",
             "PGK" => "Papua New Guinean kina (K)",
             "PHP" => "Philippine peso (&#8369;)",
             "PKR" => "Pakistani rupee (&#8360;)",
             "PLN" => "Polish z&#x142;oty (&#122;&#322;)",
             "PRB" => "Transnistrian ruble (&#x440;.)",
             "PYG" => "Paraguayan guaran&iacute; (&#8370;)",
             "QAR" => "Qatari riyal (&#x631;.&#x642;)",
             "RON" => "Romanian leu (lei)",
             "RSD" => "Serbian dinar (&#x434;&#x438;&#x43d;.)",
             "RUB" => "Russian ruble (&#8381;)",
             "RWF" => "Rwandan franc (Fr)",
             "SAR" => "Saudi riyal (&#x631;.&#x633;)",
             "SBD" => "Solomon Islands dollar (&#36;)",
             "SCR" => "Seychellois rupee (&#x20a8;)",
             "SDG" => "Sudanese pound (&#x62c;.&#x633;.)",
             "SEK" => "Swedish krona (&#107;&#114;)",
             "SGD" => "Singapore dollar (&#36;)",
             "SHP" => "Saint Helena pound (&pound;)",
             "SLL" => "Sierra Leonean leone (Le)",
             "SOS" => "Somali shilling (Sh)",
             "SRD" => "Surinamese dollar (&#36;)",
             "SSP" => "South Sudanese pound (&pound;)",
             "STD" => "S&atilde;o Tom&eacute; and Pr&iacute;ncipe dobra (Db)",
             "SYP" => "Syrian pound (&#x644;.&#x633;)",
             "SZL" => "Swazi lilangeni (L)",
             "THB" => "Thai baht (&#3647;)",
             "TJS" => "Tajikistani somoni (&#x405;&#x41c;)",
             "TMT" => "Turkmenistan manat (m)",
             "TND" => "Tunisian dinar (&#x62f;.&#x62a;)",
             "TOP" => "Tongan pa&#x2bb;anga (T&#36;)",
             "TRY" => "Turkish lira (&#8378;)",
             "TTD" => "Trinidad and Tobago dollar (&#36;)",
             "TWD" => "New Taiwan dollar (&#78;&#84;&#36;)",
             "TZS" => "Tanzanian shilling (Sh)",
             "UAH" => "Ukrainian hryvnia (&#8372;)",
             "UGX" => "Ugandan shilling (UGX)",
             "USD" => "United States dollar (&#36;)",
             "UYU" => "Uruguayan peso (&#36;)",
             "UZS" => "Uzbekistani som (UZS)",
             "VEF" => "Venezuelan bol&iacute;var (Bs F)",
             "VND" => "Vietnamese &#x111;&#x1ed3;ng (&#8363;)",
             "VUV" => "Vanuatu vatu (Vt)",
             "WST" => "Samoan t&#x101;l&#x101; (T)",
             "XAF" => "Central African CFA franc (Fr)",
             "XCD" => "East Caribbean dollar (&#36;)",
             "XOF" => "West African CFA franc (Fr)",
             "XPF" => "CFP franc (Fr)",
             "YER" => "Yemeni rial (&#xfdfc;)",
             "ZAR" => "South African rand (&#82;)",
             "ZMW" => "Zambian kwacha (ZK)"
          ),
          'default' => 'USD',
  		),
        array(
          'id' => 'currency-position',
          'type' => 'select',
		'required' => array('currency-setup', 'equals', 'cs-new'),
          'title' => esc_html__('Currency Position','agrg'),
  				'subtitle' => esc_html__('Prefix / Suffix', 'agrg'),
          'desc' => esc_html__('','agrg'),
          'options' => array(
            'p' => esc_html__('Prefix - &#36;10','agrg'),
            's' => esc_html__('Suffix - 10&#36;','agrg')
          ),
          'default' => 'p',
        ),
        array(
          'id' => 'currency-decimals',
          'type' => 'text',
		'required' => array('currency-setup', 'equals', 'cs-new'),
          'title' => esc_html__('Decimal Places (required)','agrg'),
  				'subtitle' => esc_html__('', 'agrg'),
          'desc' => esc_html__('','agrg'),
          'default' => '0',
        ),
        array(
          'id' => 'currency-char-decimal',
          'type' => 'text',
		'required' => array('currency-setup', 'equals', 'cs-new'),
          'title' => esc_html__('Decimal Separator','agrg'),
  				'subtitle' => esc_html__('', 'agrg'),
          'desc' => esc_html__('','agrg'),
          'default' => ',',
        ),
        array(
          'id' => 'currency-char-thousand',
          'type' => 'text',
		'required' => array('currency-setup', 'equals', 'cs-new'),
          'title' => esc_html__('Thousands Separator','agrg'),
  				'subtitle' => esc_html__('', 'agrg'),
          'desc' => esc_html__('','agrg'),
          'default' => ',',
        )
  		),
  	);

$sections[] = array(
	'icon' => 'el-icon-cogs',
	'icon_class' => 'icon-large',
    'title' => __('Paypal Settings', 'agrg'),
	'fields' => array(

		array(
			'id'=>'paypal_api_environment',
			'type' => 'radio',
			'title' => __('PayPal environment', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'options' => array('1' => 'Sandbox - Testing', '2' => 'Live - Production'),//Must provide key => value pairs for radio options
			'default' => 1
			),

		array(
			'id'=>'paypal_api_username',
			'type' => 'text',
			'title' => __('API Username (required)', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => ''
			),

		array(
			'id'=>'paypal_api_password',
			'type' => 'text',
			'title' => __('API Password (required)', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => ''
			),

		array(
			'id'=>'paypal_api_signature',
			'type' => 'text',
			'title' => __('API Signature (required)', 'agrg'),
			'subtitle' => __('', 'agrg'),
			'desc' => __('', 'agrg'),
			'default' => ''
			),

		array(
			'id'=>'paypal_success',
			'type' => 'text',
			'title' => __('Thank you page - after successful payment', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'paypal_fail',
			'type' => 'text',
			'title' => __('Thank you page - after failed payment', 'agrg'),
			'subtitle' => __('This must be an URL.', 'agrg'),
			'desc' => __('', 'agrg'),
			'validate' => 'url',
			'default' => ''
			),

		array(
			'id'=>'currency_code',
			'type' => 'select',
			'title' => __('Currency', 'agrg'),
			'subtitle' => __('Select your currency.', 'agrg'),
			'options' => array('AUD'=>'Australian Dollar', 'CAD'=>'Canadian Dollar', 'CZK'=>'Czech Koruna', 'DKK'=>'Danish Krone', 'EUR'=>'Euro', 'HKD'=>'Hong Kong Dollar', 'HUF'=>'Hungarian Forint', 'JPY'=>'Japanese Yen', 'MYR'=>'Malaysian Ringgit ','MXN'=>'Mexican Peso ','NOK'=>'Norwegian Krone', 'NZD'=>'New Zealand Dollar', 'PHP'=>'Philippine Peso','PLN'=>'Polish Zloty', 'GBP'=>'Pound Sterling', 'SEK'=>'Swedish Krona', 'SGD'=>'Singapore Dollar', 'CHF'=>'Swiss Franc', 'USD'=>'U.S. Dollar','BRL'=>'Brazilian Real',),
			'default' => 'USD',
			),


		),
	);



$sections[] = array(
	'type' => 'divide',
);

if (function_exists('wp_get_theme')){
$theme_data = wp_get_theme();
$theme_uri = $theme_data->get('ThemeURI');
$description = $theme_data->get('Description');
$author = $theme_data->get('Author');
$version = $theme_data->get('Version');
$tags = $theme_data->get('Tags');
}else{
$theme_data = wp_get_theme(trailingslashit(get_stylesheet_directory()).'style.css');
$theme_uri = $theme_data['URI'];
$description = $theme_data['Description'];
$author = $theme_data['Author'];
$version = $theme_data['Version'];
$tags = $theme_data['Tags'];
}

$theme_info = '<div class="redux-framework-section-desc">';
$theme_info .= '<p class="redux-framework-theme-data description theme-uri">'.__('<strong>Theme URL:</strong> ', 'agrg').'<a href="'.$theme_uri.'" target="_blank">'.$theme_uri.'</a></p>';
$theme_info .= '<p class="redux-framework-theme-data description theme-author">'.__('<strong>Author:</strong> ', 'agrg').$author.'</p>';
$theme_info .= '<p class="redux-framework-theme-data description theme-version">'.__('<strong>Version:</strong> ', 'agrg').$version.'</p>';
$theme_info .= '<p class="redux-framework-theme-data description theme-description">'.$description.'</p>';
if ( !empty( $tags ) ) {
	$theme_info .= '<p class="redux-framework-theme-data description theme-tags">'.__('<strong>Tags:</strong> ', 'agrg').implode(', ', $tags).'</p>';
}
$theme_info .= '</div>';

if(file_exists(dirname(__FILE__).'/README.md')){
$sections['theme_docs'] = array(
			'icon' => ReduxFramework::$_url.'assets/img/glyphicons/glyphicons_071_book.png',
			'title' => __('Documentation', 'agrg'),
			'fields' => array(
				array(
					'id'=>'17',
					'type' => 'raw',
					'content' => file_get_contents(dirname(__FILE__).'/README.md')
					),
			),

			);
}//if


$sections[] = array(
	'icon' => 'el-icon-info-sign',
	'title' => __('Theme Information', 'agrg'),
	'desc' => __('<p class="description">This is the Description. Again HTML is allowed</p>', 'agrg'),
	'fields' => array(
		array(
			'id'=>'raw_new_info',
			'type' => 'raw',
			'content' => $item_info,
			)
		),
	);

$sections[] = array(
	'icon' => 'el-icon-info-sign',
	'title' => __('Theme Settings', 'agrg'),
	'desc' => __('<p class="description"></p>', 'agrg'),
	'fields' => array(
			array(
				'id'       => 'css_editor',
				'type'     => 'ace_editor',
				'title'    => __('CSS Code', 'agrg'),
				'subtitle' => __('Paste your CSS code here.', 'agrg'),
				'mode'     => 'css',
				'theme'    => 'monokai',
				'desc'     => 'Enter Here Your Custom Css Code.',
				'default'  => "#header{\nmargin: 0 auto;\n}"
			),
			array(
				'id'       => 'js_editor',
				'type'     => 'ace_editor',
				'title'    => __('Javascript Code', 'agrg'),
				'subtitle' => __('Paste your Javascript code here.', 'agrg'),
				'mode'     => 'javascript',
				'theme'    => 'chroome',
				'desc'     => 'Enter Here Your Custom Javascript Code.',
				'default'  => "fucntion(){\n //alert('Hello World'); \n}"
			)
		),
	);


if(file_exists(trailingslashit(dirname(__FILE__)) . 'README.html')) {
    $tabs['docs'] = array(
		'icon' => 'el-icon-book',
		'icon_class' => 'icon-large',
        'title' => __('Documentation', 'agrg'),
        'content' => nl2br(file_get_contents(trailingslashit(dirname(__FILE__)) . 'README.html'))
    );
}

global $ReduxFramework;
$ReduxFramework = new ReduxFramework($sections, $args, $tabs);

// END Sample Config


/**

	Filter hook for filtering the args array given by a theme, good for child themes to override or add to the args array.

**/
function change_framework_args($args){
    //$args['dev_mode'] = true;

    return $args;
}
add_filter('redux/options/redux_demo/args', 'change_framework_args');
// replace redux_demo with your opt_name

/**

	Filter hook for filtering the default value of any given field. Very useful in development mode.

**/
function change_option_defaults($defaults){
    $defaults['str_replace'] = "Testing filter hook!";

    return $defaults;
}
add_filter('redux/options/redux_demo/defaults', 'change_option_defaults');
// replace redux_demo with your opt_name


/**

	Custom function for the callback referenced above

 */
function my_custom_field($field, $value) {
    print_r($field);
    print_r($value);
}


/**

	Custom function for the callback validation referenced above

**/
function validate_callback_function($field, $value, $existing_value) {
    $error = false;
    $value =  'just testing';
    /*
    do your validation

    if(something) {
        $value = $value;
    } elseif(something else) {
        $error = true;
        $value = $existing_value;
        $field['msg'] = 'your custom error message';
    }
    */

    $return['value'] = $value;
    if($error == true) {
        $return['error'] = $field;
    }
    return $return;
}

/**

	This is a test function that will let you see when the compiler hook occurs.
	It only runs if a field	set with compiler=>true is changed.

**/
function testCompiler() {
	echo "Compiler hook!";
}
//add_filter('redux/options/redux_demo/compiler', 'testCompiler');
// replace redux_demo with your opt_name




/**

	Used to hide the activation notice informing users of the demo panel. Only used when Redux is a plugin.

**/
if ( class_exists('ReduxFrameworkPlugin') ) {
	//remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );
}


/**

	Used to hide the demo mode link from the plugin page. Only used when Redux is a plugin.

**/
function removeDemoModeLink() {
	if ( class_exists('ReduxFrameworkPlugin') ) {
		remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_meta_demo_mode_link'), null, 2 );
	}
}
//add_action('init', 'removeDemoModeLink');
