			<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage classiads
 * @since classiads 1.2.2
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8)  ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="user-scalable = yes">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<?php 
	if(is_single()){
		$ID = $wp_query->post->ID;
		$feat_image = wp_get_attachment_url( get_post_thumbnail_id($ID) );
		?>
		<meta property="og:image" content="<?php echo $feat_image; ?>"/>
		<?php
	}
	?>
	<?php 
	if (isset($_SERVER['HTTP_USER_AGENT']) &&
    (strpos($_SERVER['HTTP_USER_AGENT'], 'MSIE') !== false))
        header('X-UA-Compatible: IE=9');
	global $redux_demo; 
	$favicon = $redux_demo['favicon']['url'];
	?>

	<?php if (!empty($favicon)) : ?>
	<link rel="shortcut icon" href="<?php echo $favicon; ?>" type="image/x-icon" />
	<?php endif; ?>
	<?php
	global $redux_demo; 
	$button_styles = $redux_demo['button-styles']; // Button Styles ID
	
	if($button_styles == 3){ 
	?>
	<link href='https://fonts.googleapis.com/css?family=Open+Sans:400,800,700,300,600' rel='stylesheet' type='text/css'>
	<?php  } ?>
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
	<?php wp_head(); ?>

</head>

<?php 

$layout = $redux_demo['layout-version'];

?>

<body <?php if($layout == 2){ ?>id="boxed" <?php } ?> <?php body_class(); ?>>

	<?php 
	$header_version = $redux_demo['header-style'];
	$header_position = $redux_demo['header-position'];
	$login = $redux_demo['login'];
	$profile = $redux_demo['profile'];
	if(isset($_GET['header-style'])){
		$header_version = $_GET['header-style'];
	}
	?>
	<?php if($header_version == 1 || $header_version == 2) { ?>	
	<section id="top-menu-block" <?php if($header_version == 1){ echo 'class="header-v1"'; }elseif($header_version == 2){ echo 'class="header-v2"'; } ?>>
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<section id="register-login-block-top">
						<ul class="ajax-register-links inline">
							<?php 
								$new_post = $redux_demo['new_post'];
								if ( is_user_logged_in() ) {
								$profile = $redux_demo['profile'];	
							?>
							<li class="first">
								<a href="<?php echo $profile; ?>" title="Login"><i class="fa fa-sitemap"></i><?php _e( 'My Account', 'agrg' ); ?></a>
							</li>
							<li class="last">
								<a href="<?php echo wp_logout_url(get_option('siteurl')); ?>" title="Logout"><i class="fa fa-sign-out"></i><?php _e( 'Log out', 'agrg' ); ?></a>
							</li>
							<?php } else { 
								$login = $redux_demo['login'];
							?>
							<li class="first">
								<a href="<?php echo $login; ?>" class="" title="Register"><i class="fa fa-user-plus"></i><?php _e( 'Get Registered', 'agrg' ); ?></a>
							</li>
							<li class="last login">
								<a href="<?php echo $login; ?>" class="" title="Login"><i class="fa fa-sign-in"></i><?php _e( 'Login', 'agrg' ); ?></a>
							</li>
						<?php } ?>
						</ul>  
					</section>
					<?php 
						$top_phone = $redux_demo['top_phone'];
						$top_phone_icon = $redux_demo['top_phone_icon'];
					?>
					 <?php if(!empty($top_phone)){ ?>
						<div class="top-call">
							<?php echo $top_phone_icon; ?>
							<span class="call-head"><?php _e( 'Call us', 'agrg' ); ?> :</span>
							<span class="call-number"><?php echo $top_phone; ?> </span>				
						</div>
					  <?php } ?>
					<div class="top-social">
						<?php
							$facebook_link = $redux_demo['facebook-link'];
							$twitter_link = $redux_demo['twitter-link'];
							$dribbble_link = $redux_demo['dribbble-link'];
							$flickr_link = $redux_demo['flickr-link'];
							$github_link = $redux_demo['github-link'];
							$pinterest_link = $redux_demo['pinterest-link'];
							$youtube_link = $redux_demo['youtube-link'];
							$google_plus_link = $redux_demo['google-plus-link'];
							$linkedin_link = $redux_demo['linkedin-link'];
							$tumblr_link = $redux_demo['tumblr-link'];
							$vimeo_link = $redux_demo['vimeo-link'];
							$instagram_link = $redux_demo['instagram-link'];
							$header_post_btn = $redux_demo['header-post-btn'];
						?>
						
						<?php if(!empty($facebook_link)) { ?>

							<a class="target-blank" href="<?php echo $facebook_link; ?>"><i class="fa fa-facebook"></i></a>

						<?php } ?>

						<?php if(!empty($twitter_link)) { ?>

							<a class="target-blank" href="<?php echo $twitter_link; ?>"><i class="fa fa-twitter"></i></a>

						<?php } ?>

						<?php if(!empty($dribbble_link)) { ?>

							<a class="target-blank" href="<?php echo $dribbble_link; ?>"><i class="fa fa-dribbble"></i></a>

						<?php } ?>

						<?php if(!empty($flickr_link)) { ?>

							<a class="target-blank" href="<?php echo $flickr_link; ?>"><i class="fa fa-flickr"></i></a>

						<?php } ?>

						<?php if(!empty($github_link)) { ?>

							<a class="target-blank" href="<?php echo $github_link; ?>"><i class="fa fa-github"></i></a>

						<?php } ?>

						<?php if(!empty($pinterest_link)) { ?>

							<a class="target-blank" href="<?php echo $pinterest_link; ?>"><i class="fa fa-pinterest"></i></a>

						<?php } ?>

						<?php if(!empty($youtube_link)) { ?>

							<a class="target-blank" href="<?php echo $youtube_link; ?>"><i class="fa fa-youtube"></i></a>

						<?php } ?>

						<?php if(!empty($google_plus_link)) { ?>

							<a class="target-blank" href="<?php echo $google_plus_link; ?>"><i class="fa fa-google-plus"></i></a>

						<?php } ?>

						<?php if(!empty($linkedin_link)) { ?>

							<a class="target-blank" href="<?php echo $linkedin_link; ?>"><i class="fa fa-linkedin"></i></a>

						<?php } ?>

						<?php if(!empty($tumblr_link)) { ?>

							<a class="target-blank" href="<?php echo $tumblr_link; ?>"><i class="fa fa-tumblr"></i></a>

						<?php } ?>

						<?php if(!empty($vimeo_link)) { ?>

							<a class="target-blank" href="<?php echo $vimeo_link; ?>"><i class="fa fa-vimeo-square"></i></a>

						<?php } ?>
						
						<?php if(!empty($instagram_link)) { ?>

							<a class="target-blank" href="<?php echo $instagram_link; ?>"><i class="fa fa-instagram"></i></a>

						<?php } ?>
					</div>					
				</div>
			</div>
		</div>
	</section>
																		
	<header id="navbar" <?php if($header_version == 1){ echo 'class="header-v1"'; }elseif($header_version == 2){ echo 'class="header-v2"'; } ?>>
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<?php
						global $redux_demo;
						$header_sticky= $redux_demo['header-sticky'];
						$header_sticky_logo= $redux_demo['sticky-header-logo'];
						$logo_sticky = $redux_demo['sticky-header-logo']['url'];
						$logo_header = $redux_demo['logo'];
						$logo = $redux_demo['logo']['url'];
						if($header_sticky == 1){
					?>
						<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
						 
							<?php	if (!empty($logo_header )) { ?>
								<img src="<?php echo $logo; ?>" alt="Logo" class="logo-img" />
							<?php } else { ?>
									<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" class="logo-img" />
							<?php } ?>
							<?php if (!empty($header_sticky_logo)) { ?>
								<img class="sticky-logo dis" src="<?php echo $logo_sticky; ?>" alt="Logo"  />
							<?php } ?>
						</a>
						<?php } else{ ?>
						<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
							<?php if (!empty($logo)) { ?>
								<img src="<?php echo $logo; ?>" alt="Logo" />
							<?php } else { ?>
								<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />
							<?php } ?>
						</a>
					<?php } ?>
					<div class="make-new-ad">
						<a href="<?php echo $new_post; ?>" ><i class="fa fa-plus-circle"></i><?php echo $header_post_btn; ?></a>
					</div>
					<div class="menutrigger">
						<span class="icons-bar"></span>
						<span class="icons-bar"></span>
						<span class="icons-bar"></span>
					</div>
					<div id="version-two-menu" class="main_menu responsive-menu">
						<?php wp_nav_menu(array('theme_location' => 'primary', 'container' => 'false')); ?>
					</div>
				</div>
			</div>		
		</div>
	</header><!-- #masthead -->
	<?php }elseif($header_version == 3){ ?>								
	<header id="navbar" class="clearfix <?php if($header_version == 3){ echo 'header-v3'; } ?>">
		<div class="container">
			<div class="row">
				<div class="col-xs-12">
					<?php
						global $redux_demo;
						$header_sticky= $redux_demo['header-sticky'];
						$header_sticky_logo= $redux_demo['sticky-header-logo'];
						$logo_sticky = $redux_demo['sticky-header-logo']['url'];
						$logo_header = $redux_demo['logo'];
						$logo = $redux_demo['logo']['url'];
						if($header_sticky == 1){
					?>
						<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
						 
							<?php	if (!empty($logo_header )) { ?>
								<img src="<?php echo $logo; ?>" alt="Logo" class="logo-img" />
							<?php } else { ?>
									<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" class="logo-img" />
							<?php } ?>
							<?php if (!empty($header_sticky_logo)) { ?>
								<img class="sticky-logo dis" src="<?php echo $logo_sticky; ?>" alt="Logo"  />
							<?php } ?>
						</a>
						<?php } else{ ?>
						<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
							<?php if (!empty($logo)) { ?>
								<img src="<?php echo $logo; ?>" alt="Logo" />
							<?php } else { ?>
								<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />
							<?php } ?>
						</a>
					<?php } ?>
					<div class="login-register">
						<?php 
							$new_post = $redux_demo['new_post'];
							$header_post_btn = $redux_demo['header-post-btn'];
							if ( is_user_logged_in() ) {
							$profile = $redux_demo['profile'];	
						?>
							<a href="<?php echo $profile; ?>"  title="Login"><i class="fa fa-sitemap"></i><?php printf( __( 'My Account', 'agrg' )); ?></a>

							<a href="<?php echo wp_logout_url(get_option('siteurl')); ?>"  title="Logout"><i class="fa fa-sign-out"></i><?php printf( __( 'Log out', 'agrg' )); ?></a>

						<?php } else { 
							$login = $redux_demo['login'];
						?>
							<a href="<?php echo $login; ?>" class="" title="Register"><i class="fa fa-user-plus"></i><?php printf( __( 'Get Registered', 'agrg' )); ?></a>
							<a href="<?php echo $login; ?>" class="" title="Login"><i class="fa fa-sign-in"></i><?php printf( __( 'Login', 'agrg' )); ?></a>
						<?php } ?>
						
						<div class="make-new-ad">
							<a href="<?php echo $new_post; ?>" ><i class="fa fa-plus-circle"></i><?php echo $header_post_btn; ?></a>
						</div>
						<div class="menutrigger">
							<span class="icons-bar"></span>
							<span class="icons-bar"></span>
							<span class="icons-bar"></span>
						</div>
					</div>	
				</div>
			</div>
		</div>
	<div class=" clearfix responsive-menu <?php if($header_version == 3){ echo 'menu-v3'; } ?>">
		<?php wp_nav_menu(array('theme_location' => 'primary', 'container' => 'false')); ?>
	</div>
	</header><!-- #masthead -->

	<?php }elseif($header_version == 4){ ?>
															
	<header id="navbar" class="clearfix <?php if($header_version == 4){ echo 'header-v4'; } ?>">
		<div class="header-top-bar"></div> <!-- header top bar -->
		<div class="container">
			
			
			<?php
				global $redux_demo;
				$header_sticky= $redux_demo['header-sticky'];
				$header_sticky_logo= $redux_demo['sticky-header-logo'];
				$logo_sticky = $redux_demo['sticky-header-logo']['url'];
				$logo_header = $redux_demo['logo'];
				$logo = $redux_demo['logo']['url'];
				

				if($header_sticky == 1){
			?>
				<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
				 
					<?php	if (!empty($logo_header )) { ?>
						<img src="<?php echo $logo; ?>" alt="Logo" class="logo-img" />
					<?php } else { ?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" class="logo-img" />
					<?php } ?>
					<?php if (!empty($header_sticky_logo)) { ?>
						<img class="sticky-logo dis" src="<?php echo $logo_sticky; ?>" alt="Logo"  />
					<?php } ?>
				</a>
				<?php } else{ ?>
				<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
					<?php if (!empty($logo)) { ?>
						<img src="<?php echo $logo; ?>" alt="Logo" />
					<?php } else { ?>
						<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />
					<?php } ?>
				</a>
			<?php } ?>
			<div class="header-contact-info">
				<?php 
					$top_phone = $redux_demo['top_phone'];
					$top_phone_icon = $redux_demo['top_phone_icon'];
					$top_header_contact_email= $redux_demo['contact-email'];
					$header_post_btn = $redux_demo['header-post-btn'];
				?>
				
				<?php if(!empty($top_phone)){ ?>
					<div class="header-top-call">			
						
						<div class="icon-head">
							<?php echo $top_phone_icon; ?>
						</div>

						<div class="contact-text">
							<span class="text-up-line"><?php _e( 'Call us', 'agrg' ); ?> </span>
							<span class="text-bt-line"><?php echo $top_phone; ?> </span>
						</div>						
						
					</div>
				<?php } ?>
				
				<?php if(!empty($top_header_contact_email)){ ?>
				
					<div class="header-top-email">
						<div class="icon-head">
							<span><i class="fa fa-envelope"></i></span>
						</div>
						<div class="contact-text">
							<span class="text-up-line"><?php _e( 'Email Support', 'agrg' ); ?> </span>
							<span class="text-bt-line"><?php echo $top_header_contact_email; ?> </span>
						</div>				
										
					</div>
				
				<?php } ?>
				<?php 
					$new_post = $redux_demo['new_post'];
				?>
				<div class="make-new-ad">
					<a href="<?php echo $new_post; ?>" ><i class="fa fa-plus-circle"></i><?php echo $header_post_btn; ?></a>
				</div>
				<div class="menutrigger">
					<span class="icons-bar"></span>
					<span class="icons-bar"></span>
					<span class="icons-bar"></span>
				</div>
			</div>
							
		</div>
		<div class="pos-nav">
			<div class="container">
				<div class="clearfix menu-v4 ">
					<div class="main_menu responsive-menu">
						<?php wp_nav_menu(array('theme_location' => 'primary', 'container' => 'false')); ?>
					</div>
					<div class="login-register">
							
							<?php 
							
								if ( is_user_logged_in() ) {


								$profile = $redux_demo['profile'];						
								?>

								<a href="<?php echo $profile; ?>" class="header-v4-register"  title="Login"><i class="fa fa-user"></i><?php printf( __( 'My Account', 'agrg' )); ?></a>

								<a href="<?php echo wp_logout_url(get_option('siteurl')); ?>"  title="Logout"><i class="fa fa-sign-out"></i><?php printf( __( 'Log out', 'agrg' )); ?></a>

								
								<?php
							} else { 								
								
							?>

								<a href="<?php echo $login; ?>" class="header-v4-register" title="Register"><i class="fa fa-user-plus"></i><?php printf( __( 'Get Register', 'agrg' )); ?></a>

								<a href="<?php echo $login; ?>" class="header-v4-login" title="Login"><i class="fa fa-sign-in"></i><?php printf( __( 'Login', 'agrg' )); ?></a>

						<?php } ?>
					</div>
				</div>
			</div>
		</div>
	</header><!-- #masthead -->
	<?php }elseif($header_version == 5){ ?>
	<?php
		$posClass = '';
		if(is_page_template( 'template-homepage-v1.php' )){
			if($header_position == 1){
				$posClass	= 'header-pos-absolute';
			}
			elseif($header_position == 2){
				$posClass	= 'header-pos-static';
			}
		}
		else{
			$posClass	= 'header-pos-static';
		}
	?>														
	<header id="navbar" class="clearfix header-v5 <?php echo $posClass; ?>">

		<div class="container">
			<?php
				global $redux_demo;
				$header_sticky= $redux_demo['header-sticky'];
				$header_sticky_logo= $redux_demo['sticky-header-logo'];
				$logo_sticky = $redux_demo['sticky-header-logo']['url'];
				$logo_header = $redux_demo['logo'];
				$logo = $redux_demo['logo']['url'];
				
			if($header_position == 1){
				if($header_sticky == 1){
			?>
				<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
				 
					<?php	if (!empty($logo_header )) { ?>
						<img src="<?php echo $logo; ?>" alt="Logo" class="logo-img" />
					<?php } else { ?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" class="logo-img" />
					<?php } ?>
					<?php if (!empty($header_sticky_logo)) { ?>
						<img class="sticky-logo dis" src="<?php echo $logo_sticky; ?>" alt="Logo"  />
					<?php } ?>
				</a>
				<?php } else{ ?>
				<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
					<?php if (!empty($logo)) { ?>
						<img src="<?php echo $logo; ?>" alt="Logo" />
					<?php } else { ?>
						<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />
					<?php } ?>
				</a>
			<?php } ?>
			<?php
				} elseif($header_position == 2){ ?>
				<?php 
				if($header_sticky == 1){
					?>
					<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
					 
						<?php	if (!empty($logo_header )) { ?>
							<img src="<?php echo $logo_sticky; ?>" alt="Logo" class="logo-img" />
						<?php } else { ?>
								<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" class="logo-img" />
						<?php } ?>
						<?php if (!empty($header_sticky_logo)) { ?>
							<img class="sticky-logo dis" src="<?php echo $logo_sticky; ?>" alt="Logo"  />
						<?php } ?>
					</a>
					<?php } else{ ?>
					<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
						<?php if (!empty($logo)) { ?>
							<img src="<?php echo $logo_sticky; ?>" alt="Logo" />
						<?php } else { ?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />
						<?php } ?>
					</a>
				<?php } ?>
			<?php } ?>
			<ul class="inline header-v5-login-register">
				<?php 
					$new_post = $redux_demo['new_post'];
					$header_post_btn = $redux_demo['header-post-btn'];
					if ( is_user_logged_in() ) {


					$profile = $redux_demo['profile'];						
					
					

				?>
				
				
				<li class="first">
					<a href="<?php echo $profile; ?>" title="Login"><?php _e( 'My Account', 'agrg' ); ?><i class="fa fa-user"></i></a>
				</li>
				
				<li class="last">
					<a href="<?php echo wp_logout_url(get_option('siteurl')); ?>" title="Logout"><?php _e( 'Log out', 'agrg' ); ?><i class="fa fa-sign-out"></i></a>
				</li>
				<?php } else { 

					$login = $redux_demo['login'];
					
				?>
				<li class="first">
					<a href="<?php echo $login; ?>" class="" title="Register"><?php _e( 'Register', 'agrg' ); ?><i class="fa fa-lock"></i></a>
				</li>
				<li class="last login">
					<a href="<?php echo $login; ?>" class="" title="Login"><?php _e( 'Login', 'agrg' ); ?><i class="fa fa-sign-in"></i></a>
				</li>
			<?php } ?>
			</ul>  	
			<div class="make-new-ad">
				<a href="<?php echo $new_post; ?>" ><i class="fa fa-plus-circle"></i><?php echo $header_post_btn; ?></a>
			</div>
			<div class="menutrigger">
				<span class="icons-bar"></span>
				<span class="icons-bar"></span>
				<span class="icons-bar"></span>
			</div>
			<div id="version-two-menu" class="main_menu menu-vr-5">
				<a class="menu-bars menu-bar-first">
					<i class="fa fa-bars"></i>
				</a>
				<div class="menu-vr-5-container">
					<?php wp_nav_menu(array('theme_location' => 'primary', 'container' => 'false')); ?>
				</div>
			</div>
		</div>
		
		<div class="main_menu responsive-menu desktop-none">
			<?php wp_nav_menu(array('theme_location' => 'primary', 'container' => 'false')); ?>
		</div>
		<?php
		
		$footer_phone = $redux_demo['top_phone']; 
		?>
			<?php if(!empty($footer_phone)) { ?>
		<div class="sticky-container">
			<ul class="sticky">
				<li> <i class="fa fa-phone"></i>
				<p><?php echo $footer_phone; ?></p>
				</li>
			</ul>
		</div>
			<?php } ?>
	</header><!-- #masthead -->
	<?php }elseif($header_version == 6){ ?>
														
	<header id="navbar" class="clearfix header-v6">

		<div class="container">
					
			
			
			<?php
				global $redux_demo;
				$header_sticky= $redux_demo['header-sticky'];
				$header_sticky_logo= $redux_demo['sticky-header-logo'];
				$logo_sticky = $redux_demo['sticky-header-logo']['url'];
				$logo_header = $redux_demo['logo'];
				$logo = $redux_demo['logo']['url'];
				

				if($header_sticky == 1){
			?>
				<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
				 
					<?php	if (!empty($logo_header )) { ?>
						<img src="<?php echo $logo; ?>" alt="Logo" class="logo-img" />
					<?php } else { ?>
							<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" class="logo-img" />
					<?php } ?>
					<?php if (!empty($header_sticky_logo)) { ?>
						<img class="sticky-logo dis" src="<?php echo $logo_sticky; ?>" alt="Logo"  />
					<?php } ?>
				</a>
				<?php } else{ ?>
				<a class="logo pull-left" href="<?php echo home_url(); ?>" title="Home">
					<?php if (!empty($logo)) { ?>
						<img src="<?php echo $logo; ?>" alt="Logo" />
					<?php } else { ?>
						<img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="Logo" />
					<?php } ?>
				</a>
			<?php } ?>
			<ul class="inline header-v6-login-register <?php if ( is_user_logged_in() ) {?> afterlogin <?php } ?>">
				<?php 
					$new_post = $redux_demo['new_post'];
					$header_post_btn = $redux_demo['header-post-btn'];
					if ( is_user_logged_in() ) {
					$profile = $redux_demo['profile'];	
				?>
				<li class="first">
					<a href="<?php echo $profile; ?>" title="Login"><?php _e( 'My Account', 'agrg' ); ?><i class="fa fa-user"></i></a>
				</li>
				
				<li class="last">
					<a href="<?php echo wp_logout_url(get_option('siteurl')); ?>" title="Logout"><?php _e( 'Log out', 'agrg' ); ?><i class="fa fa-sign-out"></i></a>
				</li>
				<?php } else { 

					$login = $redux_demo['login'];
					
				?>
				<div class="register-btn">
					<a href="<?php echo $login; ?>" ><?php _e( 'Register', 'agrg' ); ?> | <?php _e( 'Login', 'agrg' ); ?><i class="fa fa-user"></i></a>
				</div>
			<?php } ?>
			</ul>  	
			<div class="make-new-ad">
				<a href="<?php echo $new_post; ?>" ><i class="fa fa-plus-circle"></i><?php echo $header_post_btn; ?></a>
			</div>
			<div class="menutrigger">
				<span class="icons-bar"></span>
				<span class="icons-bar"></span>
				<span class="icons-bar"></span>
			</div>
			<div id="version-two-menu" class="main_menu menu-vr-6">
				<div class="menu-vr-6-container">
					<?php wp_nav_menu(array('theme_location' => 'primary', 'container' => 'false')); ?>
				</div>
			</div>
		</div>
		
		<div class="main_menu responsive-menu desktop-none">
			<?php wp_nav_menu(array('theme_location' => 'primary', 'container' => 'false')); ?>
		</div>
	</header>		
	
	<?php } ?>