<?php

	function post_type_plans() {
		$labels = array(
	    	'name' => _x('Pricing Plans', 'post type general name', 'agrg'),
	    	'singular_name' => _x('Price Plans', 'post type singular name', 'agrg'),
	    	'add_new' => _x('Add New Price Plan', 'book', 'agrg'),
	    	'add_new_item' => __('Add New Price Plan', 'agrg'),
	    	'edit_item' => __('Edit Price Plan', 'agrg'),
	    	'new_item' => __('New Price Plan', 'agrg'),
	    	'view_item' => __('View Price Plan', 'agrg'),
	    	'search_items' => __('Search Price Plans', 'agrg'),
	    	'not_found' =>  __('No Price Plan found', 'agrg'),
	    	'not_found_in_trash' => __('No Price Plans found in Trash', 'agrg'),
	    	'parent_item_colon' => ''
		);
		$args = array(
	    	'labels' => $labels,
	    	'public' => true,
	    	'publicly_queryable' => true,
	    	'show_ui' => true,
	    	'query_var' => true,
	    	'rewrite' => true,
	    	'capability_type' => 'post',
	    	'hierarchical' => false,
	    	'menu_position' => null,
	    	'supports' => array('title','editor', 'thumbnail'),
	    	'menu_icon' => get_template_directory_uri().'/images/plans.png'
		);

		register_post_type( 'price_plan', $args );
	}

	add_action('init', 'post_type_plans');
	add_action('admin_enqueue_scripts','meta_plan_script');
	function meta_plan_script(){
	 wp_enqueue_script( 'classiads-meta-plan', get_template_directory_uri() . '/js/plans.js', array( 'jquery' ), '2014-07-18', true );
	}
	add_action( 'add_meta_boxes_food', 'food_add_meta_boxes' );

	add_action( 'add_meta_boxes', 'plan_select_box' );
	function plan_select_box() {
	    add_meta_box(
	        'plan_select_box',
	        __( 'Select Plan Type', 'agrg' ),
	        'plan_select_content',
	        'price_plan'
	    );
	}

	function plan_select_content( $post ) {
		wp_nonce_field( 'planselect_meta_box', 'planselect_meta_box_nonce' );
		$plan_select = get_post_meta( $post->ID, 'plan_select', true );

		echo '<p>'._e('By default your plan will be on paid mode but if you want to set it as free or override default option then please select your plan from the dropdown.','agrg').'</p>';
		echo '<select autocomplete="off" style="width:100%" name="plan_select" id="plan_select">';
		$options = array(''=>'Select Plan type','paid'=>'Paid','free'=>'Free');

			foreach($options as $option) {

				if($option == $plan_select){
					$selected = 'selected';
				}else{
					$selected = '';
				}

			echo '<option '.$selected.' value="'.$option.'">'.$option.'</option>';
			}
		echo '</select>';
	}


	add_action( 'save_post', 'plan_select_save' );
	function plan_select_save( $post_id ) {

		global $plan_select;

		if ( ! isset( $_POST['planselect_meta_box_nonce'] ) ) {
		return;
		}
		if ( ! wp_verify_nonce( $_POST['planselect_meta_box_nonce'], 'planselect_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if(isset($_POST["plan_select"]))
		$plan_select = $_POST['plan_select'];
		update_post_meta( $post_id, 'plan_select', $plan_select );

	}

	add_action( 'add_meta_boxes', 'plan_ads_box' );
	function plan_ads_box() {
	    add_meta_box(
	        'plan_ads_box',
	        __( 'Featured Ads', 'agrg' ),
	        'plan_ads_content',
	        'price_plan'

	    );
	}

	function plan_ads_content( $post ) {
		wp_nonce_field( 'featured_meta_box', 'featured_meta_box_nonce' );
		$featured_ads = get_post_meta( $post->ID, 'featured_ads', true );

		echo '<label for="featured_ads"></label>';
		echo '<input type="text" id="featured_ads" name="featured_ads" placeholder="'._e('Leave empty for unlimited','agrg').'" value="';
		echo $featured_ads;
		echo '">';

	}

	add_action( 'save_post', 'project_link_box_save' );
	function project_link_box_save( $post_id ) {

		global $featured_ads;

		if ( ! isset( $_POST['featured_meta_box_nonce'] ) ) {
		return;
		}
		if ( ! wp_verify_nonce( $_POST['featured_meta_box_nonce'], 'featured_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if(isset($_POST["featured_ads"]))
		$featured_ads = $_POST['featured_ads'];
		update_post_meta( $post_id, 'featured_ads', $featured_ads );

	}



		add_action( 'add_meta_boxes', 'plan_price_box' );
	function plan_price_box() {
	    add_meta_box(
	        'plan_price_box',
	        __( 'Price (Do not use currency sign)', 'agrg' ),
	        'plan_price_content',
	        'price_plan'

	    );
	}

	function plan_price_content( $post ) {
		wp_nonce_field( 'price_meta_box', 'price_meta_box_nonce' );
		$plan_price = get_post_meta( $post->ID, 'plan_price', true );

		echo '<label for="plan_price"></label>';
		echo '<input type="text" id="plan_price" name="plan_price" placeholder="" value="';
		echo $plan_price;
		echo '">';

	}


	add_action( 'save_post', 'plan_price_save' );
	function plan_price_save( $post_id ) {

		global $plan_price;

		if ( ! isset( $_POST['price_meta_box_nonce'] ) ) {
		return;
		}
		if ( ! wp_verify_nonce( $_POST['price_meta_box_nonce'], 'price_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if(isset($_POST["plan_price"]))
		$plan_price = $_POST['plan_price'];
		update_post_meta( $post_id, 'plan_price', $plan_price );

	}

	add_action( 'add_meta_boxes', 'plan_time_box' );
	function plan_time_box() {
	    add_meta_box(
	        'plan_time_box',
	        __( 'Days', 'agrg' ),
	        'plan_time_content',
	        'price_plan'

	    );
	}

	function plan_time_content( $post ) {
		wp_nonce_field( 'plantime_meta_box', 'plantime_meta_box_nonce' );
		$plan_time = get_post_meta( $post->ID, 'plan_time', true );

		echo '<label for="plan_time"></label>';
		echo '<input type="text" id="plan_time" name="plan_time" placeholder="'._e('Leave empty for unlimited','agrg').'" value="';
		echo $plan_time;
		echo '">';

	}

	add_action( 'save_post', 'plan_time_save' );
	function plan_time_save( $post_id ) {

		global $plan_time;

		if ( ! isset( $_POST['plantime_meta_box_nonce'] ) ) {
		return;
		}
		if ( ! wp_verify_nonce( $_POST['plantime_meta_box_nonce'], 'plantime_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if(isset($_POST["plan_time"]))
		$plan_time = $_POST['plan_time'];
		update_post_meta( $post_id, 'plan_time', $plan_time );

	}

	add_action( 'add_meta_boxes', 'plan_text_box' );
	function plan_text_box() {
	    add_meta_box(
	        'plan_text_box',
	        __( 'Replace your text line with default one', 'agrg' ),
	        'plan_text_content',
	        'price_plan'
	    );
	}

	function plan_text_content( $post ) {
		wp_nonce_field( 'plantext_meta_box', 'plantext_meta_box_nonce' );
		$plan_text = get_post_meta( $post->ID, 'plan_text', true );

		echo '<label for="plan_text"></label>';
		echo '<input type="text" id="plan_text" name="plan_text" placeholder="'._e('Get Started featured ads with Classiads','agrg').'" value="';
		echo $plan_text;
		echo '">';

	}

	add_action( 'save_post', 'plan_text_save' );
	function plan_text_save( $post_id ) {

		global $plan_text;

		if ( ! isset( $_POST['plantext_meta_box_nonce'] ) ) {
		return;
		}
		if ( ! wp_verify_nonce( $_POST['plantext_meta_box_nonce'], 'plantext_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if(isset($_POST["plan_text"]))
		$plan_text = $_POST['plan_text'];
		update_post_meta( $post_id, 'plan_text', $plan_text );

	}

	add_action( 'add_meta_boxes', 'plan_free_text_box' );
	function plan_free_text_box() {
	    add_meta_box(
	        'plan_free_text_box',
	        __( 'Replace your text line with default one', 'agrg' ),
	        'plan_free_text_content',
	        'price_plan'
	    );
	}

	function plan_free_text_content( $post ) {
		wp_nonce_field( 'plantextfree_meta_box', 'plantextfree_meta_box_nonce' );
		$plan_free_text = get_post_meta( $post->ID, 'plan_free_text', true );

		echo '<label for="plan_free_text"></label>';
		echo '<input type="text" id="plan_free_text" name="plan_free_text" placeholder="'._e('Free ad posting','agrg').'" value="';
		echo $plan_free_text;
		echo '">';

	}


	add_action( 'save_post', 'plan_free_text_save' );
	function plan_free_text_save( $post_id ) {

		global $plan_free_text;

		if ( ! isset( $_POST['plantextfree_meta_box_nonce'] ) ) {
		return;
		}
		if ( ! wp_verify_nonce( $_POST['plantextfree_meta_box_nonce'], 'plantextfree_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if(isset($_POST["plan_free_text"]))
		$plan_free_text = $_POST['plan_free_text'];
		update_post_meta( $post_id, 'plan_free_text', $plan_free_text );

	}




	add_action( 'add_meta_boxes', 'plan_secure_text_box' );
	function plan_secure_text_box() {
	    add_meta_box(
	        'plan_secure_text_box',
	        __( 'Replace your text line with default one', 'agrg' ),
	        'plan_secure_text_content',
	        'price_plan'
	    );
	}

	function plan_secure_text_content( $post ) {
		wp_nonce_field( 'plantextsecure_meta_box', 'plantextsecure_meta_box_nonce' );
		$plan_secure_text = get_post_meta( $post->ID, 'plan_secure_text', true );

		echo '<label for="plan_secure_text"></label>';
		echo '<input type="text" id="plan_secure_text" name="plan_secure_text" placeholder="100% Secure!" value="';
		echo $plan_secure_text;
		echo '">';

	}


	add_action( 'save_post', 'plan_secure_text_save' );
	function plan_secure_text_save( $post_id ) {

		global $plan_secure_text;

		if ( ! isset( $_POST['plantextsecure_meta_box_nonce'] ) ) {
		return;
		}
		if ( ! wp_verify_nonce( $_POST['plantextsecure_meta_box_nonce'], 'plantextsecure_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if(isset($_POST["plan_secure_text"]))
		$plan_secure_text = $_POST['plan_secure_text'];
		update_post_meta( $post_id, 'plan_secure_text', $plan_secure_text );

	}




	add_action( 'add_meta_boxes', 'plan_user_box_cancel' );
	function plan_user_box_cancel() {
	    add_meta_box(
	        'plan_user_box_cancel',
	        __( 'Put here USERNAME to cancel this plan for particular user (Leave empty for nothing)', 'agrg' ),
	        'plan_user_content_cancel',
			'price_plan'

	    );
	}

	function plan_user_content_cancel( $post ) {

		echo '<label for="plan_cancel"></label>';
		echo '<input type="text" id="plan_cancel" name="plan_cancel" placeholder="'._e('USERNAME','agrg').'" value="';

		echo '">';
	}

	add_action( 'save_post', 'plan_user_del_save' );
	function plan_user_del_save( $post_id ) {
		global $wpdb;
		if (isset($_POST['plan_cancel'])) {
		$plan_cancel = $_POST['plan_cancel'];
		$user = get_user_by( 'login', $plan_cancel );
		$user_cancel = $user->ID;
		$posttitle  = get_the_title($post->ID);
			$result = $wpdb->get_results( "SELECT * FROM wpcads_paypal WHERE user_id = $user_cancel AND name = '$posttitle'  ORDER BY main_id DESC" );

				if (!empty($result )) {

				  foreach ( $result as $key => $row ) {

							if($row->ads == '0'){
								$wpdb->update('wpcads_paypal', array('ads'=> '2', 'used'=>'2'), array( 'main_id'=>$row->main_id) );

							}else{
							$wpdb->update('wpcads_paypal', array('used'=>$row->ads), array( 'main_id'=>$row->main_id) );
							}


					}

				}

		}
	}






	add_action( 'add_meta_boxes', 'plan_user_box' );
	function plan_user_box() {
	    add_meta_box(
	        'plan_user_box',
	        __( 'Put here USERNAME to assign this plan for particular user (Leave empty for nothing)', 'agrg' ),
	        'plan_user_content',
			'price_plan'

	    );
	}

	function plan_user_content( $post ) {

		echo '<label for="plan_add"></label>';
		echo '<input type="text" id="plan_add" name="plan_add" placeholder="'._e('USERNAME','agrg').'" value="';

		echo '">';
	}

	add_action( 'save_post', 'plan_user_add_save' );
	function plan_user_add_save( $post_id ) {
				global $plan_time;
				global $featured_ads;
				global $plan_price;
				global $post_title;
				global $wpdb;
		if (!empty($_POST['plan_add'])) {
		$plan_add = $_POST['plan_add'];
		$user = get_user_by( 'login', $plan_add );
		$user_add = $user->ID;
		$posttitle  = get_the_title($post->ID);


			$price_plan_information = array(
				'id' => '',
				'user_id' => $user_add,
				'name' => $posttitle,
				'token' => "",
				'price' => $plan_price,
				'currency' => "",
				'ads' => $featured_ads,
				'days' => $plan_time,
				'date' => date("m/d/Y H:i:s"),
				'status' => "success",
				'used' => "0",
				'transaction_id' => "",
				'firstname' => "",
				'lastname' => "",
				'email' => "",
				'description' => "",
				'summary' => "",
				'created' => time()
			  );

			  $insert_format = array('%s', '%s', '%s','%s', '%f', '%s', '%d', '%d', '%s', '%s', '%d', '%s', '%s', '%s', '%s', '%s', '%s');
				$result = $wpdb->get_results( "SELECT * FROM wpcads_paypal WHERE user_id = $plan_add AND name = '$posttitle'  ORDER BY main_id DESC" );

				if (empty($result )) {
				$wpdb->insert('wpcads_paypal', $price_plan_information, $insert_format);
				}
		}
	}

	add_action( 'add_meta_boxes', 'popular_plan_box' );
	function popular_plan_box() {
	    add_meta_box(
	        'popular_plan',
	        __( 'Most popular plan', 'agrg' ),
	        'popular_plan',
			'price_plan'

	    );
	}
	function popular_plan( $post ) {
		wp_nonce_field( 'popular_meta_box', 'popular_meta_box_nonce' );
		echo '<label for="popular_plan"></label>';
		echo '<input type="checkbox" id="popular_plan" name="popular_plan" value="true" />';
	}

	add_action( 'save_post', 'popular_plan_save' );
	function popular_plan_save( $post_id ) {
		global $wpdb;
		if ( ! isset( $_POST['popular_meta_box_nonce'] ) ) {
		return;
		}
		if ( ! wp_verify_nonce( $_POST['popular_meta_box_nonce'], 'popular_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if (isset($_POST['popular_plan']) && !empty($_POST['popular_plan'])) {
			$plan_pop = $_POST['popular_plan'];
		}else{
			$plan_pop = '';

		}
		update_post_meta( $post_id, 'popular_plan', $plan_pop );
	}






			add_action( 'add_meta_boxes', 'plan_freetext_box' );
	function plan_freetext_box() {
	    add_meta_box(
	        'plan_freetext_box',
	        __( 'Replace your text line with default one', 'agrg' ),
	        'plan_freetext_content',
	        'price_plan'
	    );
	}

	function plan_freetext_content( $post ) {
		wp_nonce_field( 'planfreetext_meta_box', 'planfreetext_meta_box_nonce' );
		$plan_freetext = get_post_meta( $post->ID, 'plan_freetext', true );

		echo '<label for="plan_freetext"></label>';
		echo '<input type="text" id="plan_freetext" name="plan_freetext" placeholder="'._e('Complete Free ads','agrg').'" value="';
		echo $plan_freetext;
		echo '">';

	}


	add_action( 'save_post', 'plan_freetext_save' );
	function plan_freetext_save( $post_id ) {

		global $plan_freetext;

		if ( ! isset( $_POST['planfreetext_meta_box_nonce'] ) ) {
		return;
		}
		if ( ! wp_verify_nonce( $_POST['planfreetext_meta_box_nonce'], 'planfreetext_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if(isset($_POST["plan_freetext"]))
		$plan_freetext = $_POST['plan_freetext'];
		update_post_meta( $post_id, 'plan_freetext', $plan_freetext );

	}


			add_action( 'add_meta_boxes', 'plan_freetextt_box' );
	function plan_freetextt_box() {
	    add_meta_box(
	        'plan_freetextt_box',
	        __( 'Replace your text line with default one', 'agrg' ),
	        'plan_freetextt_content',
	        'price_plan'
	    );
	}

	function plan_freetextt_content( $post ) {
		wp_nonce_field( 'planfreetextt_meta_box', 'planfreetextt_meta_box_nonce' );
		$plan_freetextt = get_post_meta( $post->ID, 'plan_freetextt', true );

		echo '<label for="plan_freetextt"></label>';
		echo '<input type="text" id="plan_freetextt" name="plan_freetextt" placeholder="'._e('Start Posting Now','agrg').'" value="';
		echo $plan_freetextt;
		echo '">';

	}


	add_action( 'save_post', 'plan_freetextt_save' );
	function plan_freetextt_save( $post_id ) {

		global $plan_freetextt;

		if ( ! isset( $_POST['planfreetextt_meta_box_nonce'] ) ) {
		return;
		}
		if ( ! wp_verify_nonce( $_POST['planfreetextt_meta_box_nonce'], 'planfreetextt_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if(isset($_POST["plan_freetextt"]))
		$plan_freetextt = $_POST['plan_freetextt'];
		update_post_meta( $post_id, 'plan_freetextt', $plan_freetextt );

	}




				add_action( 'add_meta_boxes', 'plan_btn_box' );
	function plan_btn_box() {
	    add_meta_box(
	        'plan_btn_box',
	        __( 'Plan Button Text', 'agrg' ),
	        'plan_btn_content',
	        'price_plan'
	    );
	}

	function plan_btn_content( $post ) {
		wp_nonce_field( 'planbtn_meta_box', 'planbtn_meta_box_nonce' );
		$plan_btn = get_post_meta( $post->ID, 'plan_btn', true );

		echo '<label for="plan_btn"></label>';
		echo '<input type="text" id="plan_btn" name="plan_btn" placeholder="'._e('Buy Now','agrg').'" value="';
		echo $plan_btn;
		echo '">';

	}


	add_action( 'save_post', 'plan_btn_save' );
	function plan_btn_save( $post_id ) {

		global $plan_btn;

		if ( ! isset( $_POST['planbtn_meta_box_nonce'] ) ) {
		return;
		}
		if ( ! wp_verify_nonce( $_POST['planbtn_meta_box_nonce'], 'planbtn_meta_box' ) ) {
			return;
		}
		if ( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) {
			return;
		}

		if(isset($_POST["plan_btn"]))
		$plan_btn = $_POST['plan_btn'];
		update_post_meta( $post_id, 'plan_btn', $plan_btn );

	}













	function post_type_blog() {
		$labels = array(
	    	'name' => _x('Blog Posts', 'post type general name', 'agrg'),
	    	'singular_name' => _x('Blog Post', 'post type singular name', 'agrg'),
	    	'add_new' => _x('Add New Blog Post', 'book', 'agrg'),
	    	'add_new_item' => __('Add New Blog Post', 'agrg'),
	    	'edit_item' => __('Edit Blog Post', 'agrg'),
	    	'new_item' => __('New Blog Post', 'agrg'),
	    	'view_item' => __('View Post', 'agrg'),
	    	'search_items' => __('Search Blog Post', 'agrg'),
	    	'not_found' =>  __('No Blog Post found', 'agrg'),
	    	'not_found_in_trash' => __('No Blog Post found in Trash', 'agrg'),
	    	'parent_item_colon' => ''
		);
		$args = array(
	    	'labels' => $labels,
	    	'public' => true,
	    	'publicly_queryable' => true,
	    	'show_ui' => true,
	    	'query_var' => 'blog',
	    	'rewrite' => true,
	    	'capability_type' => 'post',
	    	'hierarchical' => false,
	    	'menu_position' => null,
	    	'supports' => array('title','editor', 'thumbnail','comments', 'tags'),
	    	'menu_icon' => get_template_directory_uri().'/images/blog.png'
		);

		register_post_type( 'blog', $args );
	}

	add_action('init', 'post_type_blog');

	function blog_category() {
    register_taxonomy(
        'blog-category',
        'blog',
        array(
            'labels' => array(
                'name' => __('Categories','agrg'),
                'add_new_item' => __('Add New Category','agrg'),
                'new_item_name' => __('New Category','agrg')
            ),
            'show_ui' => true,
            'show_tagcloud' => false,
            'hierarchical' => true
			)
    );

}
add_action( 'init', 'blog_category', 0 );
function blog_tags() {
register_taxonomy(
    'blog-tag',
    'blog',
		array(
			'hierarchical'  => false,
			'label'         => "tags",
			'singular_name' => "tag",
			'show_ui' => true,
			'rewrite'       => true,
			'query_var'     => true,
		)
	);
}
add_action( 'init', 'blog_tags', 0 );
function theme_prefix_rewrite_flush() {
    flush_rewrite_rules();
}
add_action( 'after_switch_theme', 'theme_prefix_rewrite_flush' );
?>
