<?php
/**
 * The main template file.
 *
 * This is the most generic template file in a WordPress theme and one of the
 * two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage classiads
 * @since classiads 1.2.2
 */


get_header();


	global $redux_demo;


		$featured_ads_option = $redux_demo['featured-options-on'];
		$hrSlider = $redux_demo['hr-slide-style']; /*Horizontal Slider ID*/
		$ads_title_limit = $redux_demo['home-ads-title-limit'];

		if($featured_ads_option == 1) {

			if($hrSlider == 1) {

				get_template_part('templates/hr-slider1');

			}elseif($hrSlider == 2){

				get_template_part('templates/hr-slider2');

			}elseif($hrSlider == 3){

				get_template_part('templates/hr-slider3');

			}
		}

		$gridStyle = $redux_demo['home-ads-style']; /*Grid Style ID*/
			if($gridStyle == 1) {
		?>
    <section id="ads-homepage">
        <div class="container">
			<div class="row">
				<div class="col-xs-12">
					<ul class="nav nav-tabs tabs quicktabs-tabs quicktabs-style-nostyle clearfix" id="tabs">
						<li class="active" >
							<a href="#Tlatest"><?php _e( 'Latest Ads', 'agrg' ); ?></a>
						</li>
						<li>
							<a href="#Tpopuler"><?php _e( 'Popular Ads', 'agrg' ); ?></a>
						</li>
						<li>
							<a href="#Trandom"><?php _e( 'Random Ads', 'agrg' ); ?></a>
						</li>
					</ul>
				</div>
			</div>
			
			<div class="tab-content">
				<div class="tab-pane active fade in latest-ads-holder" id="Tlatest">

				<div class="latest-ads-grid-holder row">

				<?php

					global $paged, $wp_query, $wp;

					$args = wp_parse_args($wp->matched_query);

					if ( !empty ( $args['paged'] ) && 0 == $paged ) {

						$wp_query->set('paged', $args['paged']);

						$paged = $args['paged'];

					}

					$cat_id = get_cat_ID(single_cat_title('', false));

					$temp = $wp_query;

					$wp_query = new WP_Query();

					$wp_query->query('post_type=post&posts_per_page=12&paged='.$paged.'&cat='.$cat_id);

					$current = -1;
					$current2 = 0;
					
						while ($wp_query->have_posts()) : $wp_query->the_post(); $current++; $current2++;

							get_template_part('templates/loop/grid-loop-1');
						
						endwhile; 
					?>

				</div>

				<!-- Begin wpcrown_pagination-->
				<?php get_template_part('pagination'); ?>
				<!-- End wpcrown_pagination-->
				<?php wp_reset_query(); ?>
				</div>
			
				<div class="tab-pane fade popular-ads-grid-holder" id="Tpopuler" >

					<div class="popular-ads-grid row">

					<?php

						global $paged, $wp_query, $wp;

						$args = wp_parse_args($wp->matched_query);

						if ( !empty ( $args['paged'] ) && 0 == $paged ) {

							$wp_query->set('paged', $args['paged']);

							$paged = $args['paged'];

						}

						$cat_id = get_cat_ID(single_cat_title('', false));


						$current = -1;
						$current2 = 0;


						$popularpost = new WP_Query( array( 'posts_per_page' => '16', 'cat' => $cat_id, 'posts_type' => 'post', 'paged' => $paged, 'meta_key' => 'wpb_post_views_count', 'orderby' => 'meta_value_num', 'order' => 'DESC'  ) );

						while ( $popularpost->have_posts() ) : $popularpost->the_post(); $current++; $current2++;

							get_template_part('templates/loop/grid-loop-1');

						endwhile; ?>

				</div>

					<!-- Begin wpcrown_pagination-->
					<?php get_template_part('pagination'); ?>
					<!-- End wpcrown_pagination-->

					<?php wp_reset_query(); ?>

				</div>

				<div class="tab-pane fade random-ads-grid-holder" id="Trandom">

					<div class="random-ads-grid row">

						<?php

						global $paged, $wp_query, $wp;

						$args = wp_parse_args($wp->matched_query);

						if ( !empty ( $args['paged'] ) && 0 == $paged ) {

							$wp_query->set('paged', $args['paged']);

							$paged = $args['paged'];

						}

						$cat_id = get_cat_ID(single_cat_title('', false));

						$temp = $wp_query;

						

						$wp_query = new WP_Query();

						$wp_query->query('orderby=rand&post_type=post&posts_per_page=16&paged='.$paged.'&cat='.$cat_id);

						$current = -1;
						$current2 = 0;

						?>

						<?php while ($wp_query->have_posts()) : $wp_query->the_post(); $current++; $current2++; 

							get_template_part('templates/loop/grid-loop-1');
						 
						 endwhile; ?>

					</div>

					<!-- Begin wpcrown_pagination-->
					<?php get_template_part('pagination'); ?>
					<!-- End wpcrown_pagination-->
					<?php wp_reset_query(); ?>
				</div>
			</div>
        </div>
    </section>

		<?php  }elseif($gridStyle == 2){ ?>
    <section id="ads-homepage" class="front grid-vr-3">
        <div class="container">
			<div class="row">
				<div class="col-xs-12">
					<ul class="nav nav-tabs tabs quicktabs-tabs quicktabs-style-nostyle clearfix" id="tabs">
						<li class="active" >
							<a href="#Tlatest"><?php _e( 'Latest Ads', 'agrg' ); ?></a>
						</li>
						<li>
							<a href="#Tpopuler"><?php _e( 'Popular Ads', 'agrg' ); ?></a>
						</li>
						<li>
							<a href="#Trandom"><?php _e( 'Random Ads', 'agrg' ); ?></a>
						</li>
					</ul>
				</div>
			</div>
			<div class="tab-content">
				<div class="tab-pane active fade in latest-ads-holder" id="Tlatest">

					<div class="latest-ads-grid-holder row">

					<?php

						global $paged, $wp_query, $wp;

						$args = wp_parse_args($wp->matched_query);

						if ( !empty ( $args['paged'] ) && 0 == $paged ) {

							$wp_query->set('paged', $args['paged']);

							$paged = $args['paged'];

						}

						$cat_id = get_cat_ID(single_cat_title('', false));

						$temp = $wp_query;

						

						$wp_query = new WP_Query();

						$wp_query->query('post_type=post&posts_per_page=12&paged='.$paged.'&cat='.$cat_id);

						$current = -1;
						$current2 = 0;

						?>

						<?php while ($wp_query->have_posts()) : $wp_query->the_post(); $current++; $current2++; 
						
							get_template_part('templates/loop/grid-loop-2');
							
						endwhile; ?>

					</div>

				<!-- Begin wpcrown_pagination-->
					<?php get_template_part('pagination'); ?>
					<!-- End wpcrown_pagination-->

				<?php wp_reset_query(); ?>

				</div>

				<div class="tab-pane fade popular-ads-grid-holder" id="Tpopuler" >

					<div class="popular-ads-grid row">

						<?php

							global $paged, $wp_query, $wp;

							$args = wp_parse_args($wp->matched_query);

							if ( !empty ( $args['paged'] ) && 0 == $paged ) {

								$wp_query->set('paged', $args['paged']);

								$paged = $args['paged'];

							}

							$cat_id = get_cat_ID(single_cat_title('', false));


							$current = -1;
							$current2 = 0;


							$popularpost = new WP_Query( array( 'posts_per_page' => '16', 'cat' => $cat_id, 'posts_type' => 'post', 'paged' => $paged, 'meta_key' => 'wpb_post_views_count', 'orderby' => 'meta_value_num', 'order' => 'DESC'  ) );

							while ( $popularpost->have_posts() ) : $popularpost->the_post(); $current++; $current2++;

								get_template_part('templates/loop/grid-loop-2');
							
							endwhile; ?>

					</div>

					<!-- Begin wpcrown_pagination-->
					<?php get_template_part('pagination'); ?>
					<!-- End wpcrown_pagination-->

					<?php wp_reset_query(); ?>

				</div>

				<div class="tab-pane fade random-ads-grid-holder" id="Trandom">

					<div class="random-ads-grid row">

						<?php

						global $paged, $wp_query, $wp;

						$args = wp_parse_args($wp->matched_query);

						if ( !empty ( $args['paged'] ) && 0 == $paged ) {

							$wp_query->set('paged', $args['paged']);

							$paged = $args['paged'];

						}

						$cat_id = get_cat_ID(single_cat_title('', false));

						$temp = $wp_query;

						

						$wp_query = new WP_Query();

						$wp_query->query('orderby=rand&post_type=post&posts_per_page=16&paged='.$paged.'&cat='.$cat_id);

						$current = -1;
						$current2 = 0;

						?>

						<?php while ($wp_query->have_posts()) : $wp_query->the_post(); $current++; $current2++; 

							get_template_part('templates/loop/grid-loop-2');
						
						endwhile; ?>

					</div>

					<!-- Begin wpcrown_pagination-->
					<?php get_template_part('pagination'); ?>
					<!-- End wpcrown_pagination-->


					<?php wp_reset_query(); ?>

				</div>

			</div>
			
        </div>
    </section>

		<?php  }elseif($gridStyle == 3){ ?>
    <section id="ads-homepage" class="front grid-vr-2">
        <div class="container">
			<div class="row">
				<div class="col-xs-12">
					<ul class="nav nav-tabs tabs quicktabs-tabs quicktabs-style-nostyle clearfix" id="tabs">
						<li class="active" >
							<a href="#Tlatest"><?php _e( 'Latest Ads', 'agrg' ); ?></a>
						</li>
						<li>
							<a href="#Tpopuler"><?php _e( 'Popular Ads', 'agrg' ); ?></a>
						</li>
						<li>
							<a href="#Trandom"><?php _e( 'Random Ads', 'agrg' ); ?></a>
						</li>
					</ul>
				</div>
			</div>
			<div class="tab-content">
				<div class="tab-pane active fade in latest-ads-holder" id="Tlatest">

					<div class="latest-ads-grid-holder row">

					<?php

						global $paged, $wp_query, $wp;

						$args = wp_parse_args($wp->matched_query);

						if ( !empty ( $args['paged'] ) && 0 == $paged ) {

							$wp_query->set('paged', $args['paged']);

							$paged = $args['paged'];

						}

						$cat_id = get_cat_ID(single_cat_title('', false));

						$temp = $wp_query;

						

						$wp_query = new WP_Query();

						$wp_query->query('post_type=post&posts_per_page=12&paged='.$paged.'&cat='.$cat_id);

						$current = -1;
						$current2 = 0;

						?>

						<?php while ($wp_query->have_posts()) : $wp_query->the_post(); $current++; $current2++;
						
						
							get_template_part('templates/loop/grid-loop-3');
						
						
						endwhile; ?>

					</div>

				<!-- Begin wpcrown_pagination-->
					<?php get_template_part('pagination'); ?>
					<!-- End wpcrown_pagination-->

				<?php wp_reset_query(); ?>

				</div>

				<div class="tab-pane fade popular-ads-grid-holder" id="Tpopuler" >

					<div class="popular-ads-grid row">

						<?php

							global $paged, $wp_query, $wp;

							$args = wp_parse_args($wp->matched_query);

							if ( !empty ( $args['paged'] ) && 0 == $paged ) {

								$wp_query->set('paged', $args['paged']);

								$paged = $args['paged'];

							}

							$cat_id = get_cat_ID(single_cat_title('', false));


							$current = -1;
							$current2 = 0;


							$popularpost = new WP_Query( array( 'posts_per_page' => '16', 'cat' => $cat_id, 'posts_type' => 'post', 'paged' => $paged, 'meta_key' => 'wpb_post_views_count', 'orderby' => 'meta_value_num', 'order' => 'DESC'  ) );

							while ( $popularpost->have_posts() ) : $popularpost->the_post(); $current++; $current2++;

						
								get_template_part('templates/loop/grid-loop-3');
						
							endwhile; ?>

					</div>

					<!-- Begin wpcrown_pagination-->
					<?php get_template_part('pagination'); ?>
					<!-- End wpcrown_pagination-->

					<?php wp_reset_query(); ?>

				</div>

				<div class="tab-pane fade random-ads-grid-holder" id="Trandom">

					<div class="random-ads-grid row">

						<?php

						global $paged, $wp_query, $wp;

						$args = wp_parse_args($wp->matched_query);

						if ( !empty ( $args['paged'] ) && 0 == $paged ) {

							$wp_query->set('paged', $args['paged']);

							$paged = $args['paged'];

						}

						$cat_id = get_cat_ID(single_cat_title('', false));

						$temp = $wp_query;

						

						$wp_query = new WP_Query();

						$wp_query->query('orderby=title&post_type=post&posts_per_page=16&paged='.$paged.'&cat='.$cat_id);

						$current = -1;
						$current2 = 0;

						while ($wp_query->have_posts()) : $wp_query->the_post(); $current++; $current2++;

							get_template_part('templates/loop/grid-loop-3');
						
						endwhile; ?>

					</div>

					<!-- Begin wpcrown_pagination-->
					<?php get_template_part('pagination'); ?>
					<!-- End wpcrown_pagination-->


					<?php wp_reset_query(); ?>

				</div>
				
			</div>
        </div>

    </section>

		<?php } ?>

<?php get_footer(); ?>
