<?php
/**
 * Template Name: Contact
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages and that other
 * 'pages' on your WordPress site will use a different template.
 *
 * @package WordPress
 * @subpackage classiads
 * @since classiads 1.2.2
 */

global $redux_demo; 

$contact_email = $redux_demo['contact-email'];
$website_url = $redux_demo['website-urls'];
$contact_address = $redux_demo['contact-address'];
$contact_phone = $redux_demo['contact-phone'];
$wpcrown_contact_email_error = $redux_demo['contact-email-error'];
$wpcrown_contact_name_error = $redux_demo['contact-name-error'];
$wpcrown_contact_message_error = $redux_demo['contact-message-error'];
$wpcrown_contact_thankyou = $redux_demo['contact-thankyou-message'];

$wpcrown_contact_latitude = $redux_demo['contact-latitude'];
$wpcrown_contact_longitude = $redux_demo['contact-longitude'];
$wpcrown_contact_zoomLevel = $redux_demo['contact-zoom'];


global $nameError;
global $emailError;
global $commentError;
global $subjectError;
global $humanTestError;

//If the form is submitted
if(isset($_POST['submitted'])) {
	
		//Check to make sure that the name field is not empty
		if(trim($_POST['contactName']) === '') {
			$nameError = $wpcrown_contact_name_error;
			$hasError = true;
		} elseif(trim($_POST['contactName']) === 'Name*') {
			$nameError = $wpcrown_contact_name_error;
			$hasError = true;
		}	else {
			$name = trim($_POST['contactName']);
		}

		//Check to make sure that the subject field is not empty
		if(trim($_POST['subject']) === '') {
			$subjectError = $wpcrown_contact_subject_error;
			$hasError = true;
		} elseif(trim($_POST['subject']) === 'Subject*') {
			$subjectError = $wpcrown_contact_subject_error;
			$hasError = true;
		}	else {
			$subject = trim($_POST['subject']);
		}
		
		//Check to make sure sure that a valid email address is submitted
		if(trim($_POST['email']) === '')  {
			$emailError = $wpcrown_contact_email_error;
			$hasError = true;
		} else if (!preg_match("/^[A-Z0-9._%-]+@[A-Z0-9._%-]+\.[A-Z]{2,4}$/i", trim($_POST['email']))) {
			$emailError = $wpcrown_contact_email_error;
			$hasError = true;
		} else {
			$email = trim($_POST['email']);
		}
			
		//Check to make sure comments were entered	
		if(trim($_POST['comments']) === '') {
			$commentError = $wpcrown_contact_message_error;
			$hasError = true;
		} else {
			if(function_exists('stripslashes')) {
				$comments = stripslashes(trim($_POST['comments']));
			} else {
				$comments = trim($_POST['comments']);
			}
		}
		$humanTests = $_POST['humanTests'];
		//Check to make sure that the human test field is not empty
		if(trim($_POST['humanTest']) != $humanTests) {
			$humanTestError = "Not Human :(";
			$hasError = true;
		} else {

		}
			
		//If there is no error, send the email
		if(!isset($hasError)) {

			$emailTo = $contact_email;
			$subject = $subject;	
			$header = 'From website <'.$emailTo.'>' . "\r\n" . 'Reply-To: ' . $email;
			$header .= "MIME-Version: 1.0\r\n";
			$header .= "Content-type: text/html\r\n";
			$body = 'Name: '.$name 
					. "\r\n\r\n"
					.'Email: '.$blog_title.'.'
					. "\r\n\r\n"
					.'Comments : '.$comments;
			$preMesaage = "<html><body><div style='width:700px;padding:5px;margin:auto;font-size:14px;line-height:18px'>" . apply_filters('the_content', $body) . "<div style='clear:both'></div></div></body></html>";
			wp_mail($emailTo, $subject, $preMesaage, $headers);

			$emailSent = true;

	}
}

get_header(); ?>
		<section id="big-map">
			<div id="classiads-main-map"></div>
			<script type="text/javascript">
			var mapDiv,
				map,
				infobox;
			jQuery(document).ready(function($) {

				mapDiv = jQuery("#classiads-main-map");
				mapDiv.height(500).gmap3({
					map: {
						options: {
							"center":[<?php echo $wpcrown_contact_latitude; ?>,<?php echo $wpcrown_contact_longitude; ?>]
							,"zoom": <?php echo $wpcrown_contact_zoomLevel; ?>
							,"draggable": true
							,"mapTypeControl": true
							,"mapTypeId": google.maps.MapTypeId.ROADMAP
							,"scrollwheel": false
							,"panControl": true
							,"rotateControl": false
							,"scaleControl": true
							,"streetViewControl": true
							,"zoomControl": true
							<?php global $redux_demo; $map_style = $redux_demo['map-style']; if(!empty($map_style)) { ?>,"styles": <?php echo $map_style; ?> <?php } ?>
						}
					}
					,marker: {
						latLng: [<?php echo $wpcrown_contact_latitude; ?>,<?php echo $wpcrown_contact_longitude; ?>]
					}
				});

				map = mapDiv.gmap3("get");

				if (Modernizr.touch){
					map.setOptions({ draggable : false });
					var draggableClass = 'inactive';
					var draggableTitle = "Activate map";
					var draggableButton = $('<div class="draggable-toggle-button '+draggableClass+'">'+draggableTitle+'</div>').appendTo(mapDiv);
					draggableButton.click(function () {
						if($(this).hasClass('active')){
							$(this).removeClass('active').addClass('inactive').text("Activate map");
							map.setOptions({ draggable : false });
						} else {
							$(this).removeClass('inactive').addClass('active').text("Deactivate map");
							map.setOptions({ draggable : true });
						}
					});
				}

			});
			</script>
		</section>
		<div class="container margin-bottom-60">
			<div class="contact-meta  row">
				<?php
					if (!empty($contact_address)){
				?>
				<div class="contact-single-meta col-md-4 col-sm-4 col-xs-12">
					<i class="fa fa-map-marker"></i>
					<h3><?php _e('OFFICE ADDRESS', 'agrg'); ?></h3>
					<div><?php echo $contact_address; ?></div>
				</div>
				<?php
					}
					if (!empty($contact_phone)){
				?>
				<div class="contact-single-meta col-md-4 col-sm-4 col-xs-12">
					<i class="fa fa-phone"></i>
					<h3><?php _e('PHONE NO', 'agrg'); ?></h3>
					<div><?php echo $contact_phone; ?></div>
				</div>
				<?php
					}
					if (!empty($website_url)){
				?>
				<div class="contact-single-meta col-md-4 col-sm-4 col-xs-12">
					<i class="fa fa-external-link" aria-hidden="true"></i>
					<h3><?php _e('WEBSITE URL', 'agrg'); ?></h3>
					<div><a href="<?php echo $website_url; ?>"><?php echo $website_url; ?></a></div>
				</div>
				<?php } ?>
			</div>
			<div class="col-md-10 col-sm-10 col-xs-12 col-md-offset-1 col-sm-offset-1 col-xs-offset-0">
				<section class="ads-main-page">
						<div class="full" style="padding: 30px 0;">
							<div class="ad-detail-content">

								<?php if (have_posts()) : while (have_posts()) : the_post(); ?>
										
								<?php the_content(); ?>
																		
								<?php endwhile; endif; ?>


								<div class="contact_form row">
											
									<?php if(isset($emailSent) && $emailSent == true) { ?>
																
										<h5><?php echo $wpcrown_contact_thankyou ?></h5></div>

									<?php } else { ?>

									<?php if($nameError != '') { ?>
										<div class="col-md-12 col-sm-12 col-xs-12">
											<div class="alert alert-warning"><?php echo $nameError;?></div> 
										</div>									
									<?php } ?>
																
									<?php if($emailError != '') { ?>
										<div class="col-md-12 col-sm-12 col-xs-12">
											<div class="alert alert-warning"><?php echo $emailError;?></div> 
										</div>			
									<?php } ?>

									<?php if($subjectError != '') { ?>
										<div class="col-md-12 col-sm-12 col-xs-12">
											<div class="alert alert-warning"><?php echo $subjectError;?></div> 
										</div>	
									<?php } ?>
																
									<?php if($commentError != '') { ?>
										<div class="col-md-12 col-sm-12 col-xs-12">
											<div class="alert alert-warning"><?php echo $commentError;?></div> 
										</div>	
									<?php } ?>

									<?php if($humanTestError != '') { ?>
										<div class="col-md-12 col-sm-12 col-xs-12">
											<div class="alert alert-warning"><?php echo $humanTestError;?></div> 
										</div>	
									<?php } ?>
															
									<form name="contactForm" action="<?php the_permalink(); ?>" id="contact-form" method="post" class="contactform" >
										<div class="col-md-6 col-sm-6 col-xs-12">
											<input type="text" placeholder="<?php _e('Full name','agrg'); ?>"  name="contactName" id="contactName" class="form-control" />
										</div>	
										<div class="col-md-6 col-sm-6 col-xs-12">			 
											<input type="text" placeholder="<?php _e('Your email','agrg'); ?>" name="email" id="email" class="form-control" />
										</div>	
										<div class="col-md-12 col-sm-12 col-xs-12">	
											<input type="text" placeholder="<?php _e('Subject','agrg'); ?>" name="subject" id="subject"  class="form-control" />
										</div>	
										<div class="col-md-12 col-sm-12 col-xs-12">					 
											<textarea name="comments" id="commentsText" cols="8" rows="5" class="form-control" ></textarea>					 
										</div>	
										<div class="col-md-6 col-sm-6 col-xs-12">	
											<p style="margin-top: 20px;"><?php _e("Human test. Please input the result of ", "agrg");
											$intnum =	rand(1,9) ;
											$lastnum =	rand(1,9) ;
											$totalnum = $intnum  +  $lastnum ; 
											echo $intnum ; ?> + <?php echo $lastnum ; ?> = </p>
										</div>	
										<div class="col-md-6 col-sm-6 col-xs-12">	
											<input type="text" placeholder="<?php _e('Your answer','agrg'); ?>" name="humanTest" id="humanTest" class="form-control" />
									<input type="hidden" name="humanTests" id="humanTests" value="<?php echo $totalnum; ?>" class="input-textarea half" />
										</div>	
										<div class="col-md-12 col-sm-12 col-xs-12">	
											<input style="margin-bottom: 0;" name="submitted" type="submit" value="<?php _e('Send Message','agrg'); ?>" class="input-submit"/>			
										</div>	
																
									</form>
										
								</div>

								<?php } ?>

						</div>
				</section>		
			</div>	
		</div>

		<?php get_footer(); ?>