<?php
/**
 * Template name: Homepage V1
 *
 * This is the most generic template file in a WordPress theme and one of the
 * two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage classiads
 * @since classiads 1.2.2
 */


get_header(); ?>

<?php 

	$page = get_page($post->ID);
	$current_page_id = $page->ID;

	$page_slider = get_post_meta($current_page_id, 'page_slider', true); 


	global $redux_demo, $maximRange; 
	$max_range = $redux_demo['max_range'];
	if(!empty($max_range)) {
		$maximRange = $max_range;
	} else {
		$maximRange = 1000;
	}
	$searchStyle = $redux_demo['search-style']; /*Search Style ID*/
	$hrSlider = $redux_demo['hr-slide-style']; /*Horizontal Slider ID*/
	$categorySlider = $redux_demo['cat-home-style']; /*Category Style ID*/
	$gridStyle = $redux_demo['home-ads-style']; /*Category Style ID*/
	$planstyle = $redux_demo['plan-style']; /*Plan Style ID*/
	$home_location_version = $redux_demo['home-location-style']; /*Home Location ID*/
	$home_get_started_style = $redux_demo['home-get-started-style']; /*Home Get Started ID*/
	$homeLayoutsetting = $redux_demo['opt-homepage-layout-2']['enabled'];
	
	if ($homeLayoutsetting):
	foreach ($homeLayoutsetting as $key=>$value) {
 
			switch($key) {
		 
					case 'banner': get_template_part( 'templates/home/banner' );
					break;
			 
					case 'featured-ads': get_template_part( 'templates/home/featured-ads' );
					break;
			 
					case 'custom-ads': get_template_part( 'templates/home/custom-ads' );
					break;
			 
					case 'categories': get_template_part( 'templates/home/categories' );    
					break;  
					
					case 'callout': get_template_part( 'templates/home/callout' );    
					break; 
					
					case 'location': get_template_part( 'templates/home/location' );    
					break; 
					
					case 'advertisement': get_template_part( 'templates/home/advertisement' );    
					break;
					
					case 'packages': get_template_part( 'templates/home/packages' );    
					break;
					
					case 'partners': get_template_part( 'templates/home/partners' );    
					break;
					
					case 'blog-news': get_template_part( 'templates/home/blog' );    
					break;
			 
				}
			 
			}
		 
	endif;
	?>	
	

	
<?php get_footer(); ?>