<?php
/**
 * Template name: Listing with sidebar
 *
 * This is the most generic template file in a WordPress theme and one of the
 * two required files for a theme (the other being style.css).
 * It is used to display a page when nothing more specific matches a query.
 * For example, it puts together the home page when no home.php file exists.
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage classiads
 * @since classiads 1.2.2
 */


get_header(); ?>

<?php 

	$page = get_page($post->ID);
	$current_page_id = $page->ID;

	$page_slider = get_post_meta($current_page_id, 'page_slider', true); 


	global $redux_demo, $maximRange; 
	$max_range = $redux_demo['max_range'];
	if(!empty($max_range)) {
		$maximRange = $max_range;
	} else {
		$maximRange = 1000;
	}
	$searchStyle = $redux_demo['search-style']; /*Search Style ID*/
	$hrSlider = $redux_demo['hr-slide-style']; /*Horizontal Slider ID*/
	$listStyle = $redux_demo['home-ads-list-style']; /*List Style ID*/
	$gridStyle = $redux_demo['home-ads-style']; /*Grid Style ID*/
	$hide_map = $redux_demo['hide-map'];
?>

<?php if($page_slider == "LayerSlider") : ?>

	<section id="layerslider" class="clearfix <?php if($hide_map != 1){ echo 'map-hide';} ?>">

		<?php

			$page_layer_slider_shortcode = get_post_meta($current_page_id, 'layerslider_shortcode', true);

			if(!empty($page_layer_slider_shortcode))
			{
		?>

			<?php echo do_shortcode($page_layer_slider_shortcode); ?>

		<?php } else { ?>

			<?php echo do_shortcode('[layerslider id="1"]'); ?>

		<?php } ?>

		<?php 

			global $redux_demo; 

			

		?>
	<?php if($hide_map){ ?>
		<div id="classiads-main-map"></div>
	<?php 
	if($searchStyle == 1 || $searchStyle == 2 || $searchStyle == 3) {
	?>
		<script type="text/javascript">
			jQuery(document).ready(function($) {
						var mapDiv,
							map;
							mapDiv = jQuery("#classiads-main-map");
				jQuery( "#advance-search-slider" ).slider({
						range: "min",
						value: 500,
						min: 1,
						max: <?php echo $maximRange; ?>,
						slide: function( event, ui ) {
							jQuery( "#geo-radius" ).val( ui.value );
							jQuery( "#geo-radius-search" ).val( ui.value );

						mapDiv.gmap3({
							getgeoloc:{
								callback : function(latLng){
									if (latLng){
										jQuery('#geo-search-lat').val(latLng.lat());
										jQuery('#geo-search-lng').val(latLng.lng());
									}
								}
							}
						});
						
							jQuery( ".geo-location-switch" ).removeClass("off");
							jQuery( ".geo-location-switch" ).addClass("on");
							jQuery( "#geo-location" ).val("on");
						}
					});
				jQuery( "#geo-radius" ).val( jQuery( "#advance-search-slider" ).slider( "value" ) );
				jQuery( "#geo-radius-search" ).val( jQuery( "#advance-search-slider" ).slider( "value" ) );

				jQuery('.geo-location-button .fa').click(function()
				{
					
					if(jQuery('.geo-location-switch').hasClass('off'))
					{
						jQuery( ".geo-location-switch" ).removeClass("off");
						jQuery( ".geo-location-switch" ).addClass("on");
						jQuery( "#geo-location" ).val("on");
									
						mapDiv.gmap3({
							getgeoloc:{
								callback : function(latLng){
									if (latLng){
										jQuery('#geo-search-lat').val(latLng.lat());
										jQuery('#geo-search-lng').val(latLng.lng());
									}
								}
							}
						});

					} else {
						jQuery( ".geo-location-switch" ).removeClass("on");
						jQuery( ".geo-location-switch" ).addClass("off");
						jQuery( "#geo-location" ).val("off");
					}
					   
				});

			});
		</script>
	<?php 
	}elseif($searchStyle == 4){
	?>
			<script type="text/javascript">
					jQuery(document).ready(function() {
						var mapDiv,
							map;
							mapDiv = jQuery("#classiads-main-map");
						jQuery('.form-item-ad-location').on('click' , function()
						{
							if(jQuery('#edit-ad-location').hasClass('off'))
							{
								jQuery( "#edit-ad-location" ).removeClass("off");
								jQuery( "#edit-ad-location" ).addClass("on");
								jQuery( "#geo-location" ).val("on");
									
									mapDiv.gmap3({
										getgeoloc:{
											callback : function(latLng){
												if (latLng){
													jQuery('#geo-search-lat').val(latLng.lat());
													jQuery('#geo-search-lng').val(latLng.lng());
												}
											}
										}
									});
									
							}else {
								jQuery( "#edit-ad-location").removeClass("on");
								jQuery( "#edit-ad-location").addClass("off");
								jQuery( "#geo-location").val("off");
							}
						});
					});
				</script>
		<?php } ?>
		
		<?php } ?>
		
		<?php
		if($searchStyle == 1) { 
			get_template_part('templates/search1');
		}elseif($searchStyle == 2){ 
			get_template_part('templates/search2');			
		}elseif($searchStyle == 3){ 
			get_template_part('templates/search3');			
		}elseif($searchStyle == 4){ 
			get_template_part('templates/search4');			
		} 
		?> 

	</section>

<?php elseif ($page_slider == "Big Map") : ?>

	<section id="big-map" <?php if($hide_map != 1){ echo 'class="map-hide"';} ?>>
<?php if($hide_map == 1){ ?>
		<div id="classiads-main-map"></div>

		<script type="text/javascript">
		var mapDiv,
			map,
			infobox;
		jQuery(document).ready(function($) {

			mapDiv = jQuery("#classiads-main-map");
			mapDiv.height(650).gmap3({
				map: {
					options: {
						"draggable": true
						,"mapTypeControl": true
						,"mapTypeId": google.maps.MapTypeId.ROADMAP
						,"scrollwheel": false
						,"panControl": true
						,"rotateControl": false
						,"scaleControl": true
						,"streetViewControl": true
						,"zoomControl": true
						<?php global $redux_demo; $map_style = $redux_demo['map-style']; if(!empty($map_style)) { ?>,"styles": <?php echo $map_style; ?> <?php } ?>
					}
				}
				,marker: {
					values: [

					<?php
					
						global $redux_demo;
						$gridStyle = $redux_demo['home-ads-style']; /*Grid Style ID*/


						$wp_query = new WP_Query();

						$wp_query->query('post_type=post&posts_per_page=-1');

						


						while ($wp_query->have_posts()) : $wp_query->the_post(); 

						$post_latitude = get_post_meta($post->ID, 'post_latitude', true);
						$post_longitude = get_post_meta($post->ID, 'post_longitude', true);

						$theTitle = get_the_title(); $theTitle = (strlen($theTitle) > 40) ? substr($theTitle,0,37).'...' : $theTitle;

						$post_price = get_post_meta($post->ID, 'post_price', true);


						$category = get_the_category();

						$tag = $category[0]->cat_ID;

							$tag_extra_fields = get_option(MY_CATEGORY_FIELDS);
							if (isset($tag_extra_fields[$tag])) {
								$category_icon_code = $tag_extra_fields[$tag]['category_icon_code'];
								$category_icon_color = $tag_extra_fields[$tag]['category_icon_color'];
								$your_image_url = $tag_extra_fields[$tag]['your_image_url'];
							}

						if (empty($category_icon_code) || empty($category_icon_color) || empty($your_image_url)) {

							$tag = $category[0]->category_parent;

							$tag_extra_fields = get_option(MY_CATEGORY_FIELDS);
							if (isset($tag_extra_fields[$tag])) {
								if (empty($category_icon_code)){
									$category_icon_code = $tag_extra_fields[$tag]['category_icon_code'];
								}
								if (empty($category_icon_color)){
									$category_icon_color = $tag_extra_fields[$tag]['category_icon_color'];
								}
								if (empty($your_image_url)){
									$your_image_url = $tag_extra_fields[$tag]['your_image_url'];
								}
							}

						}
						if(!empty($category_icon_code)) {

							$category_icon = stripslashes($category_icon_code);

					     }
						if(!empty($your_image_url)) {

					    	$iconPath = $your_image_url;

					    } else {

					    	$iconPath = get_template_directory_uri() .'/images/icon-services.png';

					    }

						if(!empty($post_latitude)) {?>

							 	{
							 		<?php require_once(TEMPLATEPATH . "/inc/BFI_Thumb.php"); ?>
									<?php $params = array( "width" => 370, "height" => 240, "crop" => true ); $image = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), "single-post-thumbnail" ); ?>

									latLng: [<?php echo $post_latitude; ?>,<?php echo $post_longitude; ?>],
									options: {
										icon: "<?php echo $iconPath; ?>",
										shadow: "<?php echo get_template_directory_uri() ?>/images/shadow.png",
									},
									<?php 			
									
									if($gridStyle == 1) { 
									?>
									
									data: '<div class="marker-holder map-box-style-1"><div class="marker-content"><div class="marker-image"><img src="<?php echo bfi_thumb( "$image[0]", $params ) ?>" /></div><div class="marker-info-holder"><div class="marker-info-price"><?php echo classiads_price(esc_attr($post_price, 'agrg')); ?></div><div class="marker-info"><div class="marker-info-title"><a href="<?php the_permalink(); ?>"><?php echo $theTitle; ?></a></div><?php if(!empty($category_icon_code)) { ?><div class="marker-icon-box" ><div class="category-icon-box" style="background-color:<?php echo $category_icon_color; ?>"><?php echo $category_icon; ?></div></div><?php } ?></div></div><div class="arrow-down"></div><div class="close"></div></div></div>'
									<?php
									} 
									if($gridStyle == 2) { 
									
									?>
									
									data: '<div class="marker-holder map-box-style-2"><div class="marker-content"><div class="marker-image"><img src="<?php echo bfi_thumb( "$image[0]", $params ) ?>" /></div><div class="marker-info-holder"><div class="add-price"><span><?php echo classiads_price(esc_attr($post_price, 'agrg')); ?></span><div class="pacman"></div></div><div class="marker-info"><div class="marker-info-left"><div class="marker-info-title"><a href="<?php the_permalink(); ?>"><?php echo $theTitle; ?></a></div><a class="feat-category" href="<?php echo get_category_link( $category[0]->term_id ); ?>"><?php echo $category[0]->name; ?></a></div><?php if(!empty($category_icon_code)) { ?><?php echo '<style>.map-box-style-2 .category-icon-box i{color:'.$category_icon_color.' !important;}</style>' ; ?><div class="marker-icon-box marker-info-right" ><div class="category-icon-box" style="border:1px solid <?php echo $category_icon_color; ?>;color:<?php echo $category_icon_color; ?> !important;"><?php echo $category_icon; ?></div><div class="category-icon-box-hover" style="background-color:<?php echo $category_icon_color; ?>;color:#fff;border-color:<?php echo $category_icon_color; ?>;"><?php echo $category_icon; ?></div></div><?php } ?></div></div><div class="arrow-down"></div><div class="close"></div></div></div>'
									<?php
									} 
									if($gridStyle == 3) { 
									?>
									
									data: '<div class="marker-holder map-box-style-3"><div class="marker-content"><div class="marker-image"><img src="<?php echo bfi_thumb( "$image[0]", $params ) ?>" /></div><div class="marker-info-holder"><div class="map-category-icon-3"><?php if(!empty($category_icon_code)) { ?><div class="marker-icon-box" ><div class="category-icon-box" style="background-color:<?php echo $category_icon_color; ?>"><?php echo $category_icon; ?></div></div><?php } ?></div><div class="marker-info"><div class="marker-info-title"><a href="<?php the_permalink(); ?>"><?php echo $theTitle; ?></a></div><div class="map-category-bottom-3"><a class="feat-category" href="<?php echo get_category_link( $category[0]->term_id ); ?>"><?php echo $category[0]->name; ?></a><div class="marker-info-price"><?php echo classiads_price(esc_attr($post_price, 'agrg')); ?></div></div></div></div><div class="arrow-down"></div><div class="close"></div></div></div>'
									<?php
									}
									?>

								}
							,

					<?php } endwhile; ?>	

					<?php wp_reset_query(); ?>
						
					],
					options:{
						draggable: false
					},
					
					events: {
						click: function(marker, event, context){
							map.panTo(marker.getPosition());

							var ibOptions = {
							    pixelOffset: new google.maps.Size(-125, -88),
							    alignBottom: true
							};

							infobox.setOptions(ibOptions)

							infobox.setContent(context.data);
							infobox.open(map,marker);

							// if map is small
							var iWidth = 370;
							var iHeight = 370;
							if((mapDiv.width() / 2) < iWidth ){
								var offsetX = iWidth - (mapDiv.width() / 2);
								map.panBy(offsetX,0);
							}
							if((mapDiv.height() / 2) < iHeight ){
								var offsetY = -(iHeight - (mapDiv.height() / 2));
								map.panBy(0,offsetY);
							}

						}
					}
				}
				 		 	},"autofit");

			map = mapDiv.gmap3("get");
		    infobox = new InfoBox({
		    	pixelOffset: new google.maps.Size(-50, -65),
		    	closeBoxURL: '',
		    	enableEventPropagation: true
		    });
		    mapDiv.delegate('.infoBox .close','click',function () {
		    	infobox.close();
		    });

		    if (Modernizr.touch){
		    	map.setOptions({ draggable : false });
		        var draggableClass = 'inactive';
		        var draggableTitle = "Activate map";
		        var draggableButton = $('<div class="draggable-toggle-button '+draggableClass+'">'+draggableTitle+'</div>').appendTo(mapDiv);
		        draggableButton.click(function () {
		        	if($(this).hasClass('active')){
		        		$(this).removeClass('active').addClass('inactive').text("Activate map");
		        		map.setOptions({ draggable : false });
		        	} else {
		        		$(this).removeClass('inactive').addClass('active').text("Deactivate map");
		        		map.setOptions({ draggable : true });
		        	}
		        });
		    }

		jQuery( "#advance-search-slider" ).slider({
		      	range: "min",
		      	value: 500,
		      	min: 1,
		      	max: <?php echo $maximRange; ?>,
		      	slide: function( event, ui ) {
		       		jQuery( "#geo-radius" ).val( ui.value );
		       		jQuery( "#geo-radius-search" ).val( ui.value );

		       		jQuery( ".geo-location-switch" ).removeClass("off");
		      	 	jQuery( ".geo-location-switch" ).addClass("on");
		      	 	jQuery( "#geo-location" ).val("on");

		       		mapDiv.gmap3({
						getgeoloc:{
							callback : function(latLng){
								if (latLng){
									jQuery('#geo-search-lat').val(latLng.lat());
									jQuery('#geo-search-lng').val(latLng.lng());
								}
							}
						}
					});

		      	}
		    });
		    jQuery( "#geo-radius" ).val( jQuery( "#advance-search-slider" ).slider( "value" ) );
		    jQuery( "#geo-radius-search" ).val( jQuery( "#advance-search-slider" ).slider( "value" ) );

		    jQuery('.geo-location-button .fa').click(function()
			{
				
				if(jQuery('.geo-location-switch').hasClass('off'))
			    {
			        jQuery( ".geo-location-switch" ).removeClass("off");
				    jQuery( ".geo-location-switch" ).addClass("on");
				    jQuery( "#geo-location" ).val("on");

				    mapDiv.gmap3({
						getgeoloc:{
							callback : function(latLng){
								if (latLng){
									jQuery('#geo-search-lat').val(latLng.lat());
									jQuery('#geo-search-lng').val(latLng.lng());
								}
							}
						}
					});

			    } else {
			    	jQuery( ".geo-location-switch" ).removeClass("on");
				    jQuery( ".geo-location-switch" ).addClass("off");
				    jQuery( "#geo-location" ).val("off");
			    }
		           
		    });

		});
		</script>
<?php } ?>
		<?php if($searchStyle == 1) { ?>

			<?php get_template_part('templates/search1'); ?>

		<?php }elseif($searchStyle == 2){
			get_template_part('templates/search2');			
		}elseif($searchStyle == 3){
			get_template_part('templates/search3');			
		}elseif($searchStyle == 4){
			get_template_part('templates/search4');			
		}  ?> 

	</section>

<?php endif; ?>

<?php if($page_slider  != "Big Map" && $page_slider != "LayerSlider" && $page_slider != "banner") { ?>
		<section id="big-map" <?php if($hide_map != 1){ echo 'class="map-hide"';} ?>>
			<?php get_template_part('templates/onlysearch'); ?>
		</section>
    <?php 
	}
		global $redux_demo; 

		$featured_ads_option = $redux_demo['featured-options-on'];

	?>

	<?php if($featured_ads_option == 1) { ?>
	
		<?php if($hrSlider == 1) { ?>

		<?php get_template_part('templates/hr-slider1'); ?>

		<?php }elseif($hrSlider == 2){
			get_template_part('templates/hr-slider2');			
		}elseif($hrSlider == 3){
			get_template_part('templates/hr-slider3');			
		} ?> 
		
    <?php } ?>
	<?php
	global $wp_rewrite;
	
			if ($wp_rewrite->permalink_structure == ''){
				//we are using ?page_id
				 $permalink_type = "&";
				}else{
				//we are using permalinks
				 $permalink_type = "?";
			}
		if(isset($_GET['view-type'])){
				 $current_view_type = $_GET['view-type'];
			}else{
				 $current_view_type = 'list';
		}   
		if($current_view_type == 'list'){
			 if($listStyle == 1) { 

			get_template_part('templates/listing-ads-with-sidebar'); 

				 }elseif($listStyle == 2){
			get_template_part('templates/listing-ads-with-sidebar2'); 		
				}
				 elseif($listStyle == 3){
			get_template_part('templates/listing-ads-with-sidebar3'); 		
				}
		}
		if($current_view_type == 'grid'){
			 if($gridStyle == 1) {
					get_template_part('templates/grid-ads-with-sidebar');
				}elseif($gridStyle == 2){
					get_template_part('templates/grid-ads-with-sidebar2');		
				}elseif($gridStyle == 3){
					get_template_part('templates/grid-ads-with-sidebar3');		
				}
		}
		
	
	?>
	
<?php get_footer(); ?>