<?php
/**
 * Template name: Login Page with Password
 *
 * Learn more: http://codex.wordpress.org/Template_Hierarchy
 *
 * @package WordPress
 * @subpackage classiads
 * @since classiads 1.2.2
 */
 
if ( is_user_logged_in() ) {

	global $redux_demo;
	$profile = $redux_demo['profile'];
	wp_redirect( $profile ); exit;

}

global $user_ID, $username, $password, $remember;

//We shall SQL escape all inputs
$username = esc_sql(isset($_REQUEST['username']) ? $_REQUEST['username'] : '');
$password = esc_sql(isset($_REQUEST['password']) ? $_REQUEST['password'] : '');
$remember = esc_sql(isset($_REQUEST['rememberme']) ? $_REQUEST['rememberme'] : '');

if($remember) $remember = "true";
else $remember = "false";
$login_data = array();
$login_data['user_login'] = $username;
$login_data['user_password'] = $password;
$login_data['remember'] = $remember;
$user_verify = wp_signon( $login_data, false );
//wp_signon is a wordpress function which authenticates a user. It accepts user info parameters as an array.
if(isset($_POST['op-login']) ){
	if($_POST['submit'] == 'Login'){
		if ( is_wp_error($user_verify) ) {
			$UserError = __('Invalid username or password. Please try again!','agrg');
		} else {

			global $redux_demo;
			$profile = $redux_demo['profile'];
			wp_redirect( $profile ); exit;

		}
	}
}
global $redux_demo;
$login = $redux_demo['login'];
$rand1 = rand(0,9);
$rand2 = rand(0,9);
$rand_answer = $rand1 + $rand2;


global $resetSuccess;

if (!$user_ID) {

	if(isset($_POST['op-reset']) ){
		if($_POST['submit'] == 'Reset')
		{
			// First, make sure the email address is set
			if ( isset( $_POST['re-email'] ) && ! empty( $_POST['re-email'] ) ) {

				// Next, sanitize the data
				$email_addr = trim( strip_tags( stripslashes( $_POST['re-email'] ) ) );

				$user = get_user_by( 'email', $email_addr );
				$user_ID = $user->ID;

				if( !empty($user_ID)) {

					$new_password = wp_generate_password( 12, false );

					if ( isset($new_password) ) {

						wp_set_password( $new_password, $user_ID );

						$message = __('Check your email for new password.','agrg');

						$from = get_option('admin_email');
						$headers = 'From: '.$from . "\r\n";
						$subject = "Password reset!";
						$msg = "Reset password.\nYour login details\nNew Password: $new_password";
						wp_mail( $email_addr, $subject, $msg, $headers );

						$resetSuccess = 1;

					}

				} else {

					$message = __('There is no user available for this email.','agrg');

				} // end if/else

			} else {
				$message = __('Email should not be empty.','agrg');
			}
		}
	}
}

 
get_header(); ?>
    <section class="ads-main-page">
		<div class="ad-title">
			<h2><?php the_title(); ?> </h2>
		</div>
    	<div class="container">
			<div id="edit-profile" class="row">
					<div class="col-md-4 col-sm-6 col-xs-12">
						<div class="log-forms">
								<form class="form-item login-form row" action="" id="primaryPostForm" method="POST" enctype="multipart/form-data">
									<div class="col-xs-12">
										<h3><?php _e( 'LOGIN', 'agrg' ); ?></h3>
									</div>
									<div class="col-xs-12">
										<?php if(isset($_POST['op-login'])){ ?>
											<?php if($_GET['action'] == 'resetpass'){ ?>
												<div class="alert alert-success alert-dismissible" role="alert">
												  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
												  <strong><?php _e('Well Done!','agrg'); ?></strong> <?php _e( 'Go to your inbox or spam/junk and get your password', 'agrg' ); ?>
												</div>
											<?php  } ?>
											<?php if($_GET['action'] == 'register' && $_GET['success'] == '1'){ ?>
												<div class="alert alert-success alert-dismissible" role="alert">
												  <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
												  <strong><?php _e('Well Done!','agrg'); ?></strong> <?php _e( 'Go to your inbox or spam/junk and get your password', 'agrg' ); ?>
												</div>
											<?php  } ?>
												<?php global $user_ID, $user_identity;
												$current_user = wp_get_current_user(); ?>
											<?php if(!empty($UserError)) { ?>
												<div class="alert alert-warning alert-dismissible" role="alert">
													<button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
												  <strong><?php _e('Warning!','agrg'); ?></strong><?php echo $UserError; ?> 
												</div>
												<?php } ?>
											<?php } ?>
										<input type="text" id="contactName" Placeholder="<?php _e( 'UserName', 'agrg' ); ?>" name="username" class="form-control" value="" />
									</div>
									<div class="col-xs-12">
										<input type="password" id="password" Placeholder="<?php _e( 'Password', 'agrg' ); ?>" name="password" class="form-control" value="" />
									</div>
									<div class="col-xs-12">
										<fieldset class="input-title">

											<label for="edit-title" class="remember-me">
												<input name="rememberme" type="checkbox" value="forever" style="float: left;"/><span style="margin-left: 10px; float: left;"><?php _e( 'Remember me', 'agrg' ); ?></span>
											</label>

										</fieldset>
										<input type="hidden" id="submitbtn" name="submit" value="Login" />
									</div>
									<div class="col-xs-12">
										<button class="btn form-submit" id="edit-submit" name="op-login" type="submit"><?php _e('LOGIN NOW', 'agrg') ?></button>
									</div>
								</form>
								<div class="clearfix"></div>

							<span class="sign-free"><?php _e('Sign Up for Free', 'agrg') ?></span>
							<div class="register-page-title">

								<h5><?php _e( 'Login via Social Media', 'agrg' ); ?></h5>

							</div>
							<div class="social-btn clearfix">
								<?php
								/**
								 * Detect plugin. For use on Front End only.
								 */
								include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

								// check for plugin using plugin name
								if ( is_plugin_active( "nextend-facebook-connect/nextend-facebook-connect.php" ) ) {
								  //plugin is activated

								?>

										<a class="register-social-button-facebook" href="<?php echo get_site_url(); ?>/wp-login.php?loginFacebook=1" onclick="window.location = '<?php echo get_site_url(); ?>/wp-login.php?loginFacebook=1&redirect='+window.location.href; return false;"><?php _e('Login via Facebook', 'agrg') ?></a>

								<?php } ?>

								<?php
								/**
								 * Detect plugin. For use on Front End only.
								 */
								include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

								// check for plugin using plugin name
								if ( is_plugin_active( "nextend-twitter-connect/nextend-twitter-connect.php" ) ) {
								  //plugin is activated

								?>

										<a class="register-social-button-twitter" href="<?php echo get_site_url(); ?>/wp-login.php?loginTwitter=1" onclick="window.location = '<?php echo get_site_url(); ?>/wp-login.php?loginTwitter=1&redirect='+window.location.href; return false;"><?php _e('Login via Twitter', 'agrg') ?></a>


								<?php } ?>

								<?php
								/**
								 * Detect plugin. For use on Front End only.
								 */
								include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

								// check for plugin using plugin name
								if ( is_plugin_active( "nextend-google-connect/nextend-google-connect.php" ) ) {
								  //plugin is activated

								?>

										<a class="register-social-button-google" href="<?php echo get_site_url(); ?>/wp-login.php?loginGoogle=1" onclick="window.location = '<?php echo get_site_url(); ?>/wp-login.php?loginGoogle=1&redirect='+window.location.href; return false;"><?php _e('Login via Google', 'agrg') ?></a>



								<?php } ?>

							</div>

						</div>
						
					</div>
				<?php
					if(get_option('users_can_register')) { 
					//Check whether user registration is enabled by the administrator
				?>
					<div class="col-md-4 col-sm-6 col-xs-12">
						<div class="log-forms">
						<h3><?php _e( 'REGISTER', 'agrg' ); ?></h3>
							<form class="form-item login-form row" action="" id="primaryPostForm" method="POST" enctype="multipart/form-data">
									<div class="col-xs-12">
										<?php
											global $user_ID, $user_identity, $user_level, $registerSuccess;

											$registerSuccess = "";
											if (!$user_ID) {

												if(isset($_POST['answer-hidden']))

												{
													

													if ( $_POST['answer'] == $_POST['answer-hidden'] ) {
														$password = $wpdb->escape($_POST['password']);

													$confirm_password = $wpdb->escape($_POST['repassword']);
													if ( $password == $confirm_password ) {
														$f_pwd = $password ;
													
													
														$user_name = $wpdb->escape($_POST['username']);

														$user_email = $wpdb->escape($_POST['email']);


														$user_id = username_exists( $user_name );
														if ( !$user_id and email_exists($user_email) == false and !empty($user_email) and !empty($user_name) and is_email($user_email)) {
															$random_password = wp_generate_password( $length=12, $include_standard_special_chars=false );
															$user_id = wp_create_user( $user_name, $f_pwd, $user_email );
															$from = get_option('admin_email');
															$headers = 'From: '.$from . "\r\n";
															$subject = "Registration successful";
				$msg = "Registration successful \n Your login details \n Username: $user_name \n Password: $f_pwd \n $login";
															$headers2 = 'From: '.$user_email . "\r\n";
															$subject2 = "New user register on your website.";
				$msg2 = "New user register on your website \n User details are \n Username: $user_name \n Email: $user_email";
															wp_mail( $user_email, $subject, $msg,  $headers);
															wp_mail( $from, $subject2, $msg2,  $headers2);
															echo '<div class="alert alert-success alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><strong>'.__("Well Done ! ","agrg").'</strong>'.__("Registeration email notification has been sent","agrg").'</div>';
														}elseif(email_exists($user_email) == true){
															echo '<div class="alert alert-warning alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><strong>'.__("Warning ! ","agrg").'</strong>'.__("This Email already exists","agrg").'</div>';
														}
														elseif(username_exists( $user_name ) == true){
															echo '<div class="alert alert-warning alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><strong>'.__("Warning ! ","agrg").'</strong>'.__("This Username already exists","agrg").'</div>';
														}elseif(empty($user_email)){
															echo '<div class="alert alert-warning alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><strong>'.__("Warning ! ","agrg").'</strong>'.__("Email field is empty.","agrg").'</div>';
														}elseif(!is_email($user_email)){
															echo '<div class="alert alert-warning alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><strong>'.__("Warning ! ","agrg").'</strong>'.__("Please provide correct email.","agrg").'</div>';
														}elseif(empty($user_name)){
															echo '<div class="alert alert-warning alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><strong>'.__("Warning ! ","agrg").'</strong>'.__("Username field is empty.","agrg").'</div>';
														}
														
													}else{

														echo '<div class="alert alert-warning alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><strong>'.__("Warning ! ","agrg").'</strong>'.__("Password does not match the confirm password","agrg").'</div>';
														
													}

													}else{

														echo '<div class="alert alert-warning alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button><strong>'.__("Warning ! ","agrg").'</strong>'.__("Your answer is not correct. Try again!.","agrg").'</div>';

													}

												}

											}
										?>
									</div>
									<div class="col-xs-12">
										<input id="contactName" placeholder="<?php _e( 'User Name', 'agrg' ); ?>" type="text" name="username" class="form-control" value="" maxlength="30" />
									</div>
									<div class="col-xs-12">
										<input id="email" placeholder="<?php _e( 'Email Address', 'agrg' ); ?>" type="text" name="email" class="form-control" value=""   />
									</div>
									<div class="col-xs-12">
										<input id="password" placeholder="<?php _e( 'Password', 'agrg' ); ?>" type="password" name="password" class="form-control" value=""   />
									</div>
									<div class="col-xs-12">
										<input id="repassword" placeholder="<?php _e( 'Confirm Password', 'agrg' ); ?>" type="password" name="repassword" class="form-control" value=""   />
									</div>
									<div class="col-sm-6 col-xs-12">
											<span class="pleaseanswer" style="font-size:12px;line-height:48px;"><?php _e( 'Answer this please: ', 'agrg' ); echo $rand1.'+'.$rand2 ?></span>
									
									</div>
									<div class="col-sm-6 col-xs-12">
										<input id="email" placeholder="<?php _e( 'Your answer', 'agrg' ); ?>" type="text" name="answer" class="form-control" value=""  maxlength="30" />
										<input type="hidden" name="answer-hidden" value="<?php echo $rand_answer; ?>" />
									</div>
									<div class="col-xs-12">
											<span style="margin-left: 10px;margin-bottom: 10px; float: left;"><?php _e( 'Password will be emailed to you.', 'agrg' ); ?></span>
									</div>
									<div class="col-xs-12">
										<input type="hidden" name="submit" value="Register" id="submit" />
										<button class="btn form-submit" id="edit-submit" name="op-register" type="submit"><?php _e('Submit', 'agrg') ?></button>
									</div>
							</form>
							<div class="clearfix"></div>
							<div class="register-page-title">

								<h5><?php _e( 'Login via Social Media', 'agrg' ); ?></h5>

							</div>
							<div class="social-btn clearfix">
								<?php
								/**
								 * Detect plugin. For use on Front End only.
								 */
								include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

								// check for plugin using plugin name
								if ( is_plugin_active( "nextend-facebook-connect/nextend-facebook-connect.php" ) ) {
								  //plugin is activated

								?>

										<a class="register-social-button-facebook" href="<?php echo get_site_url(); ?>/wp-login.php?loginFacebook=1" onclick="window.location = '<?php echo get_site_url(); ?>/wp-login.php?loginFacebook=1&redirect='+window.location.href; return false;"><?php _e( 'Login via Facebook', 'agrg' ); ?></a>


								<?php } ?>

								<?php
								/**
								 * Detect plugin. For use on Front End only.
								 */
								include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

								// check for plugin using plugin name
								if ( is_plugin_active( "nextend-twitter-connect/nextend-twitter-connect.php" ) ) {
								  //plugin is activated

								?>

										<a class="register-social-button-twitter" href="<?php echo get_site_url(); ?>/wp-login.php?loginTwitter=1" onclick="window.location = '<?php echo get_site_url(); ?>/wp-login.php?loginTwitter=1&redirect='+window.location.href; return false;"><?php _e( 'Login via Twitter', 'agrg' ); ?></a>


								<?php } ?>

								<?php
								/**
								 * Detect plugin. For use on Front End only.
								 */
								include_once( ABSPATH . 'wp-admin/includes/plugin.php' );

								// check for plugin using plugin name
								if ( is_plugin_active( "nextend-google-connect/nextend-google-connect.php" ) ) {
								  //plugin is activated

								?>


										<a class="register-social-button-google" href="<?php echo get_site_url(); ?>/wp-login.php?loginGoogle=1" onclick="window.location = '<?php echo get_site_url(); ?>/wp-login.php?loginGoogle=1&redirect='+window.location.href; return false;"><?php _e( 'Login via Google', 'agrg' ); ?></a>


								<?php } ?>

							</div>


						</div>
						
					</div>

	    		<?php }
					else {  ?>
					<div class="col-md-4 col-sm-6 col-xs-12">
					
					<?php 
					echo "<span class='registration-closed'>"._e('Registration is currently disabled. Please try again later.','agrg')."</span>";?>
					</div>
					<?php 
					}
				?>
					<div class="col-md-4 col-sm-6 col-xs-12">
						<div class="log-forms">
							<h3><?php _e( 'FORGOT PASSWORD', 'agrg' ); ?></h3>
								<form class="form-item login-form row" action="" id="primaryPostForm" method="POST" enctype="multipart/form-data">
									<div class="col-xs-12">
									<?php if(isset($_POST['op-reset'])) {

										echo '<div class="alert alert-info alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>'.$message.'</div>';

									} ?>

										<?php if($resetSuccess == 1) {

									} else { ?>


											<input id="email" placeholder="<?php _e('Email Address','agrg'); ?>" type="text" name="re-email" class="form-control" value="" />

											<span class="help-text"><?php _e( 'Put your email address for reset password.', 'agrg' ); ?></span>

											<input type="hidden" name="submit" value="Reset" id="submit" />
											<div class="clearfix"></div>

												<button class="btn form-submit" id="edit-submit" name="op-reset" value="Publish Ad" type="submit"><?php _e('SUBMIT NOW', 'agrg') ?></button>



									<?php } ?>
									</div>
								</form>
						</div>
					</div>

	    	</div>
	    </div>
    </section>
<?php get_footer(); ?>
